
	$Id: CHANGES,v 1.542 2006/05/15 23:48:19 pwessel Exp $

SUMMARY

This file shows all details regarding specific enhancements and bug fixes
since the October 1991 release (2.0).  Unfortunately, sometimes we
forget to add an entry so there may actually be more fixes than these.

==> CHANGES IN GMT from v2.0 to v2.1.4
--------------------------------------

1. Overview

	The upgrade to 2.1.4 may for some of you mean going from 2.1.2
since 2.1.3 was a "silent" upgrade.
	Most of the changes are bug fixes (see below for complete list),
in addition to a few enhancements, like more plot symbols, option to
write PostScript images in binary mode, supplemental programs that will
read/write grdfiles from within Matlab, etc.  We have also moved Sun-
specific programs like psimage and the PostScript rasterization scripts
+ optional GMT programs (those that dealt with the MGD-77 data files) to
the GMT_supplements.tar.Z file - thus keeping the main GMT 'generic'.
	Two new programs are provided:  gmtset will accept any number
of PARAMETER-value pairs from the list in gmtdefaults and write the
change to the .gmtdefaults file in the current directory.  This is useful
for shell-scripts etc where one needs to, perhaps temporarily, reset the
value of a few default parameters.
	This version is the last 2.1.x version; next time will be a major
upgrade which will include high-res coastlines among other things to be
announced next year.

2. Bug fixes.

The following is a list of specific bug fixes since the release of
the original version 2.0 in October 1991.

Date:		Program:	Fix:
-----------------------------------------------------------------------------------------
===> 10/8/91		New tar 2.0 made
-----------------------------------------------------------------------------------------
10/15/91	pswiggle	Must check if z[i-1] is NaN before we can
				compute crossover.
10/16/91	gmt_plot.c	Used ^ for superscript while pslib now uses +
10/17/91	pslib.c		ps_diamonds were not centered, side should be /= sqrt(2)
10/18/91	psto24		Had unneccesary reference to gmt_home = /home/kiawe2
10/19/91	gmt_plot.c	log10 axes:  Only started at next 10^n, never e.g. 40
				when 1-2-3-4.. ticks were specified and -R40/1000 ...
				
10/20/91	gmt_init.c	option in explain_option was declared as char * instead
				of just char.
10/22/91	manpages	Updated reference to EOS article
10/23/91	grdimage.c	Fixed sequence of GMT warning output
10/27/91	gmt.h		Improved d_acos and d_asin macros for inv trig.
10/29/91	psxy.c		Added drawing of great circles and option to turn this off
10/29/91	pscoast.c	Fixed problem with drawing of political borders
10/29/91	grdfft.c	Added bandpass filter.
10/29/91	grd_f_filter.c	Now obsolete since grdfft does the job
10/29/91	gmt_grdio.c	Added i/o functions that can extract/write subsets plus
				add boundary cols/rows
10/29/91	grdcut.c	Now use new i/o routines
10/29/91	grdpaste.c	same
10/29/91	grd_map.c	Fixed many minor problems in support functions
10/29/91	grd_plot.c	Fixed lambert conf and polar fancy basemaps
10/29/91	gmt_*.c		Fixed minor inconsistencies
10/31/91	grdcontour.c	Fixed trouble with anotations when c_int was small (roundoff)
11/4/91		pslib.c		ps_vector wrote to stdout instead of ps_file
11/5/91		block_mean.c	Now checks for incoming NaNs
11/5/91		block_median.c	Now checks for incoming NaNs
11/5/91		surface.c	Now checks for incoming NaNs
11/5/91		sample1d.c	Replaced -X option with -N option to avoid gmt_begin prob.
				Also fixed man page
11/7/91		psmask.c	Replaced remainder() with fmod()
11/7/91		grdview.c	----"----
11/7/91		grdgradient.c	Now supports NaNs in input/output
11/7/91		grdhisteq.c	Now supports NaNs in input/output
11/7/91		grdfft.c	Now checks that no NaNs are input
11/7/91		near_neighbor.c	Several fatal bugs fixed.
11/8/91		grd2xyz.c	Now understands the quick usage option (- only)
11/19/91	psxy.c		Added greenwich flag so output from fix_up_path is (0-360) or (-180/180)
11/19/91	pslib.c		Function ps_shorten_path reduces path length by removing intermediate
				points on a straight line (after converting to pixel coordinates)
11/19/91	gmt_plot.c	Fixed bug in basemap annotation for negative degrees
11/19/91	minmax.c	Didnt work when reading stdin.
11/21/91	pstext.c	Didnt take -B and reset error to FALSE as long as colors were ok
11/21/91	*.c		Now use fp_class instead of isnan (sun specific) to check for Nans
11/21/91	gmt.h pslib.c	Defined rint,floor,ceil as macros rather than hope C-lib has them
11/22/91	gmt_support.c	Fixed passing of array pointers in contours, trace_contour, smooth_contour
11/24/91	*.c		Many programs did not handle multiple header records correctly
11/24/91	near_neighbor.c	Can now read multiple input files just like block_mean etc
11/29/91	pshistogram.c	Bug in memory allocation fixed
11/30/91	fourt.?		We now distribute a C version of the FFT routine fourt.f
12/3/91		pscoast.c	Now lake color can be set and not default to white always
12/4/91		psscale.c	Did not recognize the -N option. Does now.
-----------------------------------------------------------------------------------------
===> 12/4/91		New tar 2.0.1 made
-----------------------------------------------------------------------------------------
1/13/92		gmt_plot.c	Replaced drem with remainder
1/13/92		filter1d.c	Replaced finite with bad_float
1/13/92		pslib.h		Now includes malloc.h instead of separate declaration
1/16/92		v?tov?.c	Lacked last argument to grd_init.
1/16/92		grdtrack.c	Now handles multisegment i/o
1/23/92		psimage.c	Used to bomb on 8bit images - not any more
1/31/92		pscoast.c	-D option gave infinite loop
-----------------------------------------------------------------------------------------
===> 1/31/92		New tar 2.0.2 made
-----------------------------------------------------------------------------------------
1/31/92		grdimage.c	Mercator option gave black bottom row
2/1/92		gmt_plot.c	Routine that removed excessive pen=3 was off by 1 index!
2/5/92		gmt_plot.c	map_clip_on for -Ja rectangle was not implemented.
2/6/92		grdmath.c	Added 3 new operators:  Return sign of grda, and logical AND and OR
				which will return NaN if both or one of the grdvalues are NaN
2/7/92		grd2xyz.c	Now prints out correct x/y for pixel files
2/7/92		xyz2grd.c	Now use same algoritm as block_eman to get i,j
2/26/92		gmt_init.c	Removed add/remove_boundary functions (no longer used)
				Modified how .gmtcommands is used (one arg pr line)
				Added more gmtdefaults parameters
		gmt_map.c	Added 3-D support for plotting
		gmt_plot.c	-----"---------
		gmt_support.c	------"------
		grdmask.c	Now supports the -M multiple file option
		grdsample.c	Now does bilinear as option
		grdtrack.c	-----"------
		grdview.c	Now should work with curved fences and facades
		psclip.c	Added 3-D support
		pscoast.c	----"----
		pshistogram.c	----"----
		psmask.c	----"----
		psrose.c	----"----
		pstext.c	----"---- plus can understand fontnames in input file
		pswiggle.c	----"----
		psxy.c		Vector attributes can now be scaled down proportional to length
		psxyz.c		Vector attributes can now be scaled down proportional to length
4/24/92		psxy.c		No symbol size neceesariy for -Se and -Sv
		pslib.c		Bug in ps_ellipse fixed
4/26/92		gmt_plot.c	Lines between points on the border crossing the map are now drawn
		gmt_map.c	User can now specify axes length rather than scale for linear proj.
		coastmanager.c	Now reads/writes new netCDF database files
		pscoast.c	Now reads new netCDF databases
		gmt_map.c	Added 5 new projections (Albers, Cassini, Hammer, Sinusoidal, Winkel)
		gmt_map.c	Most projections (except the global ones) can now do both rectangular
				as well as lon/lat borders.
7/1/92		gmt_map.c	Added 2 new projections (Orthographic, Equidistant)
		psto24		Brought up to OW3 usage
		psscale.c	Now uses colorimage rather than tiny rectangles.
7/7/92		gmt_plot.c	Bug in log10 yaxis fixed.  SImilar bug in 3-D axis found and fixed.
		gmt_map.c	-JZ now takes z-axis length, -Jz scale, without interfering with -JX
		grdview.c	New 'small-polygon' macro in pslib makes output 1/3 smaller.
				Bug when grid value equals contour value found and killed.
7/10/92		pscoast.c	Had hardwired path to kiawe2; should have been GMTLIBDIR
				wrap was never initialized and was garbage which is TRUE
		gmt_map.c	When 2 crossings are found map_crossing must check order.
		gmt.h		Added macros for swapping doubles and ints.
7/10/92		Some files renamed as follows:
		make_v2_cpt	-> makecpt
		mgd77_to_gmt	-> mgd77togmt
		8bit_to_24bit	-> 3x8to24
		pspatterns.c	Removed since it had no purpose. patterns.ps included in docs.
7/12/92		gmt_map.c	Included some syntax checking in -R, -# -B, and -J
		grdcut.c	Now can handle pixel grdfiles
		grdedit.c	ditto
		grdmask.c	ditto.  Added extra option for this purpose
		grdtrack.c	ditto.
		nearneighbor.c	ditoo.  Added extra option for this purpose.
		v2tov1.c	Now gives warning that pixel grids not supportend in v1.x
		gmt_map.c	Grouped map-projetion #defines more logically (no bug per se)
7/13/92		*.c		-U now works in overlay mode also.
		grdview.c	New option -Qi will do a scanline conversion of the polygonal
				surface at specified resolution (dpi).  This mechanism allows
				continuously varying colors within polygons and avoids the
				very large PS files otherwise created from finely sampled grids.
		pslib.c		European accented characters are now encoded and available
				for plotting.  Some characters have @ escapes while most must be
				references with full octal code.  See Cookbook for octal values.
7/16/92		gmt_map.c	Added linear project for polar (theta,r) coordinates (-Jp).
				Get cylindrical by adding -Jz.
		psimage.c	Now works with 1, 8 (w/ color map), 24-32 (w or w/o color map)
		surface.c	Fixed planar trend removel from lower[] and upper[] constraints.
				index ij_v2 not computed correctly.  Constraint grids may have NaNs.
		gmt_init.c	-H0 is now ok as it will set the header_flag to FALSE since # = 0.
7/22/92		gmt_init.c	WANT_EURO_FONT is now a parameter [TRUE].
		gmtdefaults.c	---"----
		grdview.c	Now checks if all necessary files are available before chugging.
7/27/92		gmt_plot.c	All azimuthal projections may use FANCY border if the polar aspect
				is selected (i.e., projection pole is N/S pole).
7/30/92		grdcontour.c	Can now tick innermost, closed contours in the downhill direction
		psxy.c		New symbol -Sf for faults added
7/31/92		pslib.c		Now supports composite characters
8/3/92		pslib.c		Transparent symbols if red < 0
-----------------------------------------------------------------------------------------
===> 8/10/92		New tar 2.1 made
-----------------------------------------------------------------------------------------
8/12/92		gmt_map.c	Fixed minor bug in merc_forward/merc_inverse (ny was nx)
		grdsample.c	-T not mentioned in usage message
8/14/92		gmt_init.c	Had YES instead of TRUE for EURO_FONT boolean
		gmtdefaults.c	Output order fixed [no bug]
		psxy.c/.l	Clarified meaning of -L in usage message and manpage.
		psxyz.c/.l	Same as above
		grdgradient.c	Added optional argument to -N instead of hardwired +-1
8/20/92		pscoast.c	Now listens to users choice of default coastline database
		gmt_grdio.c	Killed ugly bug in read2/write2 functions
-----------------------------------------------------------------------------------------
===> 8/21/92		New tar 2.1.1 made
-----------------------------------------------------------------------------------------
8/26/92		gmt_map.c	Fixed (again) merc_forward/merc_inverse
9/2/92		grdgradient.c	Struct instead of pointer passed to write_grd
		grdhisteq.c	Struct instead of pointer passed to write_grd
9/9/92		gmt_grdio.c	Now set all text variables to NULL with memset
9/10/92		gmt_cdf.c	New lib module contains old gmt_grdio + cdf-based
				functions used in pscoast
		gmt_*.c		Moved functions around to reduce size of executables
				Gave ~40% reduction on a Sun using install -s.
				(New total size = 15.7 Mb; old size was 25.7 Mb!)
9/10/92		gmtlist.c	Now supports -Rdd:mm notation
		gmt_plot.c	Tickmarks drawn for axes not selected.
		gmt.h		Made a few variable externs and defined in gmt_init.h instead
		coastline.h	No longer used
		coastbins.h	No longer included in gmt.h, only in coastmanager and pscoast
		grd.h		including netcdf.h now done in gmt_cdf.c instead
		psxy.c/psxyz.c	Now points with neg lon is plotted if -R<positive> is set
		gmt_cdf.c	write_grd2 had bug -> zmin/max not set right
10/2/92		nearneighbor.c	Now understands -:
		mgd77togmt	-H now means headers are present
-----------------------------------------------------------------------------------------
===> 10/2/92		New tar 2.1.2 made
-----------------------------------------------------------------------------------------
10/5/92		makefile	coastline.h ref removed
		gmt_plot.c	polar_adjust function rewritten
10/8/92		psscale.c	Had wrong index in eps_info
		minmax.c	north was computed incorrectly
10/14/92	gmt_map.c	n_lon_nodes set to 3 rather than 2 to avoid jump problems
-----------------------------------------------------------------------------------------
===> 11/16/92		New tar 2.1.3 made
-----------------------------------------------------------------------------------------
11/18/92	pslib.c		Had error in rgb in ps_clipon
		psbasemap.c	Now plot only if -B is given
		makecpt.c	Now saves as HSV if selected in .gmtdefaults
11/19/92	grdgradient.c	Now may normalize using atan.
12/1/92		sample1d.c	Now checks that # of columns is constant
		psmegaplot.c	Now works with latest PS output
12/2/92		dat2gmt.c	Now calls bad_float instead of finite
12/10/92	gmtdefaults.c	The reading/writing of defaults now done by new functions
		gmt_init.c	added the new functions used by gmtdefaults
12/11/92	xgmtdefaults	OW3 application (executable only)
12/18/92	grdcontour.c	Now checks if n_ticks == 0 before using arrays
		pslib.c		Fixed bugs in ps_plotend: now use page_width
2/9/93		sample1d.c	Added -M support.  Also, the default if -S is
				not given is now smallest x divisible by xinc.
2/23/93		gmt_map.c	-Ja, -Js, -Jg had left/right_rect instead of
				left/right_circle as boundaries...
3/10/93		gmt_map.c	-Je didn't work for rectangular region
3/24/93		several		-E used %lg instead of %lf to sscanf.   Changed to %lf
3/31/93		makecpt.c	foreground/background indeces not set when reading file
4/8/93		gmt_map.c	ok_xovers nixed corner cuts in grdcontour
4/21/93		gmt_init.c	get_gmtdefaults now uses getenv(HOME) to find home dir.
5/1/93		grdproject.c	Didnt bother to check if data points where on the right
				hemisphere for orthographic projection.
6/2/93		grdproject.c	Now updates the history
		pslib.c		Takes new argument that describes color of paper
		*.c		All programs that calls ps_plotinit had gmtdefs.page_rgb added
6/4/93		gmt_plot.c	log-grid could only start at powers of 10
6/6/93		grdsample.c	-T on pixelfile now toggle node_offset parameter
		grdcontour.c	Now will work correctly with NaNs, i.e., give one piece pr segment
		*.c		Should work ok with CM (centimeter) now
		gmt_map.c	---"---
		gmtset.c	New program to set individual GMT default parameters from cmd line
6/7/93		pslib.c		Added star, hexagon, and inverted triangle to available symbols
		psxy.c		Now use the additional symbols listed above
6/29/93		makefile	libraries now called libgmt.a and libpsl.a
		mex		Routines to read/write grdfiles from Matlab provided in the
				GMT_supplements.tar.Z file.
7/1/93		*.c		Now use mknan macro to generage NaN instead of 0.0 / 0.0.
7/9/93		*.c		Replaced long's with int
		gmt.h		Implemented mknan
		gmt_init.c	Turned of SIGFPE for alpha's
		grdinfo.c	Now reports file not found
		pslib.c		Fixed memory-hog bug in image output (thanx to Jeanne Milostan, SIO)
		psimage.c	Now has -M to convert colors to grayshade
7/20/93		pslib*		New option to write images in binary or hex format
		gmt_init.c	New parameter in .gmtdefaults PSIMAGE_FORMAT = HEX or BIN (see above)
		gmt_defaults.h	New include file holds GMT-system defaults that can be edited before
				you install GMT.
7/22/93		*.c		Now gives version number with usage message
7/26/93		ps2ras, psimage	Now part of directory gmtsun in GMT_supplements.tar.Z
		grdraster.c	Now part of directory dbase in GMT_supplements.tar.Z
		gmt*.c		Now part of directory mgg in GMT_supplements.tar.Z
-----------------------------------------------------------------------------------------
===> 7/27/93		New tar 2.1.4beta made
-----------------------------------------------------------------------------------------
7/28/93		sample1d.c	Fixed index bug in while loop
		gmtdefaults.l	Now mentions PSIMAGE_FORMAT
7/29/93		psxy.c		Added -C<cpt> file to set color based on z-value
7/30/93		gmt.h		Fixed bug in copysign macro
		pslib_inc.h	Added copysign macro for hp
		psxyz.c		Added -C<cpt> file to set color based on z-value
8/2/93		pslib.c		setpaint now use setgray if r=g=b.
8/4/93		grdcontour.c	Can now accept -R larger than grdfile limits
		grdview.c	Same, plus fixed bug in +-small
		gmt_support.c	read_cpt now exits if file not found
		xgridedit.c	Fatal index bug fixed by John Lillibridge, NOAA
		grdtrack.c	Added bilinear interpolation option -Q
8/5/93		pscoast.c	Set greenwich if east == 0
		grdimage.c	Now gives short -J explanation
		pshistogram.c	Option -2 reads 2nd rather than 1st column
		*.l		Cleaned up formats
8/7/93		meca		New versions from Kurt Feigl installed.
8/9/93		gmt_support.c	read_cpt now checks its input more carefully.
8/10/93		gmt_cdf.c	temporary fix so that pscoast wont crash on SGI
		gmt_plot.c	Now, one can use FANCY basmaps and degreeformats with -Jx<>d
8/11/93		doc		Overhauled all documentation
8/12/93		pscoast.c	Fixed -D bug
		coastmanager.c	Allow for flag=3 and use of unsigned int
		gmt_cdf.c	Read coast lon/lat as unsigned int
		coastbins.cdf	Made a few fixes so pscoast -D will work
		coastbins.h	Now use unsigned int for coast lon,lat
		coastmanager.l	Now explains points that need flag = 3
8/16/93		pscoast.c	-E now works for coastline
		pslib.c		ps_line now has one more parameter
		*.c		added extra parameter to ps_line calls
8/17/93		gmt_plot.c	Drew two titles for 3-D xyz basemap.
-----------------------------------------------------------------------------------------
===> 8/18/93		New tar 2.1.4 made and released
-----------------------------------------------------------------------------------------
8/20/93		coastmanager.c	Fixed problem that crashes on SGI, HP
		gmt_cdf.c	Removed sgi fix
		borders.cdf	Remade after bug-fix.
-----------------------------------------------------------------------------------------
===> 8/20/93		New tar 2.1.4 made and released Coastfix.tar set up
-----------------------------------------------------------------------------------------
		gmttrack.c	Integer roundoff fixed
		gmtlist.c	--"--
-----------------------------------------------------------------------------------------
===> 8/20/93		New GMT_supplements.tar.Z made
-----------------------------------------------------------------------------------------

		
		
3. Known Problems that have not been fixed yet.

	* Still no explicit implementation of time-axes.
	* Exponential notation cannot be used in the -B option (interferes with wesn)
	* Coastline-file provided is not accurate enough (next version will fix this)
	* Polygons with lines exiting by crossing one axis and entering by crossing
	  another may not fill properly (corner points not added to path)
	* azimuthal equidistant with filled continents in pscoast will cause grief
	  if the antipole is inside on polygon.  Instead of painting donut shape 
	  it fills to the inside. Draw coastline only for now if that happens.
	* -Qi option in grdview wipes out any background detail due to lack of clippath.
	* Filling of polygons that covers 360 degrees of longitude may not always work
	  in psxy.
	* No high-resolution coastline file available yet.
	* grdimage occationally dumps out a piece of .gmtcommands in the
	  middle of the image.  Problem restricted to Suns only?  I can
	  pipe output through grep and not detect the problem but saving to
	  file does!!!?!!!.
	* grdview wont plot pixel-registered files.

==> CHANGES IN GMT from v3.0 - 3.4
----------------------------------


The following is a list of specific bug fixes and enhancements since the
release of version 3.0 in August 1995.

Date:		Program:	Fix:
-----------------------------------------------------------------------------------------
===> 08/11/1995		tar 3.0 made and released
-----------------------------------------------------------------------------------------
08/14/1995	gmt_customio.c		_bin_read and _short_read allocated insufficient
					memory when subregion was specified.
		gmt_support.c		bicubic interpolation now returns node value
					when point is within SMALL of the node position.
		gmt.txt			Fixed spelling mistakes
08/18/1995	gmt_plot.c		Added seconds and year to Unix time stamp.
		gmt_support.c		Skips blank lines in .cpt files
08/23/1995	gmt.h			Added inverse hyperbolic trig macros for AUX
		gmt_init.c		1:xxxx scale info for Hammer, Eckert, Mollweide,
					Plate Carree, Winkel, Robinson, Sinusoidal was
					set incorrectly (scaled by radius of Earth...)
		grdimage.c		size of subset image scaled incorrectly for -Jx
		pscoast.c		Painted lakes incorrectly - now works.
08/25/1995	gmt_customio.c		write pointers for *write_grd_info was set to
					read for id>0
08/28/1995	gmt_plot.c		Map scale can now also be in nautical miles (n).
08/29/1995	psxy.c			-Se didn't work without a dummy size.
					-Sf with lines outside -R crashed with memory
					error.
		gmt_defaults.h		flattening for WGS-84 was off a bit.
08/30/1995	gmt_funcnames.h 	Had redeclaration of gmt_input and gmt_output.
08/31/1995	gmt_map.c		map_path needed to have some slop in its == test
09/05/1995	gmt_shore.h		Removed uchar typedef since IBMs complain.
09/07/1995	grdview.c		With -Qs and a continuous .cpt file grdview
					would sometimes pick a z_ave outside the range
					of a polygon.  Now checks.
09/13/1995	gmt_plot.c		Second annotation screwed up for negative
					longitude.
09/18/1995	psscale.c		-V did nothing; now reports range in cpt file.
09/28/1995	pstext.c		Now longer needs leading hyphen to give font
					names.
		gmt_init.c		fonts in .gmtdefaults and via gmtset can be now
					be font # or name.
		psxyz.c			Radius instead of diameter expected for circles.
10/17/1995	gmt_init.h		Forgot to add -JQ/q to list of unique options.
10/24/1995	gmt_defaults.h		RECT_GRATICULE did not include linear proj.
10/25/1995	psxy.c			Greenwich set incorrectly.
11/22/1995	pscoast.c		variable key was not initialized to NULL.
11/30/1995	grdsample.c		Used incorrect dx to get new longitudes
12/07/1995	grdmath.c		Had memory error for DUP and EXCH operators.
12/27/1995	grdcontour.c		Allocated mem before increasing n_alloc
		gmt_plot.c		Added support for POW gridlines
01/05/1996	grdcontour.c		Option -N to append units to contour annotations
01/31/1996	pshistogram.c		Added log10 option and restored -R as optional.
02/01/1996	grdproject.l		Did not explain -M at all.
02/14/1996	gmt_map.c		General cylindrical (-JY) did not give right
					map width.
02/19/1996	pstext.c		Accepts 2-char codes for justification, e.g.,
					LL for lower left, CM = centered middle, etc.
					Added -D to shift the PROJECTED x,y point by
					dx/dy.
		gmt_init.c		Fixed problem with exponential notation in -B
					option!
02/20/1996	pscontour.c		Added -L option to draw underlying triangular
					mesh.
		grdcontour.c		Optionally specify shift in the -Z option
02/27/1996	psscale.c		Mentions that a unit label can also be set with
					-B.
03/01/1996	makecpt.c		Added -I to reverse sense of color/gray-ramps.
		minmax.c		Added -C for simple column output.
03/05/1996	triangulate.l		Had no explanation for -G option.
		surface.l		Had no mention of -Q
03/07/1996	grdlandmask.c		Mask values not set correctly for -Nwet/dry
		multiple files		Allow for grdfile extension shorthand so that
					file.i2 is interpreted as file.i2=2/1/0/32767,
					etc.  These suffix abbreviations are kept in
					~/.gmt_io and GRIDFILE_SHORTHAND must be set to
					TRUE (this is a new parameter)
		gmt_grdio.c		Added byte and bit binary scanline formats.
		grdmath.c		Added cosd, sind, tand, r2d, d2r, gdist
		grdgradient.c		Options to find steepest slope direction and
					|grad z|.
03/08/1996	psmask.c		Added -M for map unit distances.
		grdgradient.c		Now checks if input grdfile exists!
		grdfft.c		--"--
		grdhisteq.c		--"--
		grdtrend.c		--"--
		psclip.c		Replaced -S with -C
		psmask.c		exchanged -S and -C
		grdmask.c		Added -S as in psmask
		nearneighbor.c		removed -M; added k suffix to -S instead
		psmask.c		--"--
03/12/1996	grdhisteq.c		Now takes <norm> with -N as an option.
03/13/1996	*.txt			Fixed formatting errors thruout
		grdvector.c		Now explains -I
04/02/1996	triangulate.c		Now initialize the header struct
04/03/1996	xyz2grd.c		Now averages multiple node entries.
04/10/1996	grd2xyz.c		Option -S to suppress output when a node == NaN
04/15/1996	gmt_map/init.c		-JM takes the alternate and more complete form
					-JM|m<clon/clat/width|scale> to specify a
					meridian and standard parallel other than 0,0.
04/16/1996	gmt_init.c		Writing of .gmtcommands did not check if an
					option started with '-' (which it must).
04/24/1996	pshistogram.c		Bug in usage message caused core dump.
04/25/1996	mapproject.c		Added option for nautical miles output.
05/08/1996	grdmath.c		Needed to allocate stack space when 2 constants
					were operated on to produce a grid
05/24/1996	gmt.h			ps_heximage declared double rather than BOOLEAN
05/28/1996	grdtrack.c		Added -R to work on subsets
07/05/1996	grdmask.c		Added missing -H option
07/10/1996	gmtselect.c		New program gmtselect.c for subset extraction
					based on spatial criteria such as closeness to
					points or lines, inside/outside polygons, etc.
07/15/1996	*.*			Renamed all shared functions for increased
					portability.
08/16/1996	gmt_map.c		Fixed bug in gmt_ialbers and failure to use
					sphere.  gmt_eckert must use fabs(delta) in
					iteration.  Equatorial stereographic view should
					now work again.
08/23/1996	binned_river*		Fixed a stray straight line connection between
					2 segments.
		binned_shore*		A lake crossing Greenwich had level 1 instead
					of 2
08/26/1996	gmt_support.c		Fixed the BoundingBox problem for landscape
					plots
		pslib.c			---"---
11/01/1996	pstext.c		Text on back side of Earth did not get clipped.
11/18/1996	psxy.c			-Sf option incorrectly connected fault endpoints
					automatically.
		sample1d.c		Now reports line # where time is not strictly
					monotonically increasing.  Can now also handle
					monotonically decreasing time.
11/26/1996	psxyz.c			Did not check z-range on data.
01/28/1997	pslib.c			Did not recognize user patterns.
02/07/1997	pshistogram.c		Now can do transparent histogram using -L
					thanks to John L Lillibridge.
03/20/1997	gmt_init.c		Bug that messed up DPI for metric users have
					been killed.
03/28/1997	makecpt.c		Read problem with old-style tables fixed
					Can now output HSV values with or without -Z
					No more negative values (i.e. -1) for r,g,b
		psscale.c		Uses D_FORMAT when no decimal places are needed
		gmt_plot.c		-----------"-------------
		grdview.c		New option -L for bilinear rather than bicubic
					resampling. When resampling now checks for NaN
					return values.
		xyz2grd.c		Now can handle -R<w/s/e/n>r syntax
		psxy.c			Now deals correctly with combination -Sc and -Ey
		sample1d.c		Options -A -C -L now taken as -Fa, -Fl, -Fc
					(but is backwards compatible).
04/16/1997	grdvector.c		Added PI instead of 180 for Cartesian case...
04/30/1997	splitxyz.c		Now includes the last input point.
08/12/1997	psclip.c		No longer sets -O implicitly with -C
08/26/1997	grdtrack.c		Added -S to suppress NaN output
		*.c			Changed rint() to irint() where integer result
					is needed.  This should fix roundoff in log
					-annotations on HPs.
09/11/1997	gmt_cdf.c		Commented out old netCDF-2 function calls and
					rewrote using netCDF-3 with the new syntax
		gmt_unique.h		New include file
		gmt_keywords.h		----"----

09/14/1997	gmt_cdf.c		Finished updating function calls with netcdf 3.0
					(compiled but not tested)
		gmt_shore.c		Continue updating function calls with netcdf 3.0
					(not compiled yet)

09/22/1997	gmt_cdf.c		Tested and found errors; recompiled again
09/24/1997	grdview.c		Fixed bug that made pixel files go belly-up upon
					surface shading
09/28/1997	gmt_cdf.c		Added function calls check_nc_status; all
					nc_ functions will be checked for any errors.
09/29/1997	gmt_shore.c		Added function calls check_nc_status; all
					nc_ functions will be checked for any errors.
10/01/1997	gmt_cdf.c		Compiled, tested and found errors.
		gmt_shore.c		Compiled, tested and found errors.

10/09/1997	*.c			Updated all POSIX functions with the correct
					argument types; ex. free ((char *)) to
					free((void *)),fread, fwrite...

10/18/1997	makefile		Added -Xc (ANSI C) option to Sun compiler flags.

10/20/1997	grdimage.c		cast variable "bitimage" with "unsigned char".

10/21/1997	grdview.c		cast variable "bitimage" with "unsigned char".
		psscale.c

10/21/1997	pscontour.c		changed function "dump_contour" from type int
					to void; added function declaration in the
					beginning.

10/21/1997	pstext.c		erase "break" statement in the "default" switch.

10/22/1997	fitcircle.c		temporarily added #define M_PI_2 in the file;
					because the file won't compile even with math.h.

10/22/1997	gmt_shore.c		cast variable "c->node_level" with "unsigned
					char".

10/22/1997	grdraster.c		rename gmt functions because they are missing
					"GMT" in the beginning of the name of the
					functions; or "gmt" was in lower case.

11/04/1997	gmt_funcnames.h		added some of the function prototypes that are
					missing.  See file "functions" for detail.

11/08/1997	pscoast.c		added "&" in front of variable "ytmp[2]"
		gmt.h			moved around include files for convenience
02/19/1998	*.*			** All is now POSIX compliant and fully ANSI-C **
					Using void * pointers where old rule was char *
		gmt_plot.c		checker-board basemaps now start with correct
					shade of black or white
02/20/1998	gmt_map.c		Put the Robinson table into code; table file
					no longer used.
02/23/1998	*.*			Added GMT_IO structure to facilitate table i/o
		project.c		Support for multiple files, multisegment, and
					binary i/o
					Old -M renamed -Q and -M added for multisegment.
					Added -Z as in splitxyz for xy input only (no z)
030/1/1998	block*.c		Now quietly eats -M subheaders
		grdpaste		used -B which is reserved; now uses neither
					-A or -B but -Sa and -Sb.
03/03/1998	grdclip.c		Used -B also; now uses -Sa and -Sb.
03/04/1998	gmt*			Added -Jj -JJ Miller cylindrical projection
03/06/1998	gmt*			Added -Jf -JF Gnomonic azimuthal projection
		psmegaplot		Made part of supplemental archive
03/18/1998	psxy.c			Can now accept symbol code as part of input.

03/21/1998	*.c			Updated GMT_memory 2nd and 3rd argument to 
					(size_t), 1st argument to (void *)
		*.c			Changed buffer size 512 to BUFSIZ(1024)
		*.c			Updated memset 3rd argument to (size_t)
		*.c			Updated memcpy 3rd argument to (size_t)
		*.c			Updated fread 2nd and 3rd argument to (size_t)
		*.c			Updated fwrite 2nd and 3rd argument to (size_t)
03/24/1998	*.c			-Gp now takes Sun rasterfiles instead of Sun
					icons and allow you to assign colors to 1-bit
					images.  8-bit & 24-bit images are also allowed.
		pscoast.c		Now may issue clip paths instead of painting
					polygons (makes pscoastclip obsolete).
03/26/1998	*.*			-F no longer used to set frame pen (use gmtset)
03/30/1998	psxy.c			Empty -G now means get -G string from subheaders
					in -M files (polygons only)
04/15/1998	gmt_support.c		ASCII read skips bad records (x and/or y is NaN)
04/17/1998	psscale.c		Now has -E to indicate back/foreground colors +
					can use full -B option syntax
04/20/1998	gmt_grdio.*		Verify that -R and -I are compatible.
04/21/1998	xyz2grd.c		Now can deal with a variety of formats and
					ordering schemes, plus can byte swap.
04/22/1998	grd2xyz.c		Ditto.
04/27/1998	binned_shore_*		Fixed problems with 10x10 degree blocks (-Dl)
					getting wrong color.
04/28/1998	nearneighbor.c		Added option for boundary conditions
05/01/1998	*.*			Introduced gmt_nan.h which is created by the
					program gmt_nan_init and defines both the float
					and double NaNs patterns.
05/05/1998	pslib.c			Now write Boundingbox at end.
05/06/1998	gmt_support.c		Walter completed boundary functions
05/10/1998	grdimage.c		Fixed problem with global projections
		grdcontour.c		Fixed problem with -R...r setting
		grdimage.c		--"--
		grdvector.c		--"--
		shorelines		binned_shore_? renamed to binned_GSHHS_? to
					avoid confusion when using GMT 3.1
05/11/1998	grdview.c		Removed -D, merged -M and -W, and expanded -L
					to do BCs.
05/12/1998	grdinfo.c		Now uses D_FORMAT for output and has an output
					layout that is easier to parse with awk etc.
-----------------------------------------------------------------------------------------
===> 06/24/1998		tar 3.1b made and released to testers
-----------------------------------------------------------------------------------------
08/20/1998	gmt_map.c		Fixed clipping of data in polar projections.
08/20/1998	gmtselect.c		Always ate the first data record.  Now also uses
					Cartesian distances and units unless -J is set.
08/20/1998	*.c *.h			All GMT_boundcond_* functions now use pointers
					to struct.
08/21/1998	gmt_cdf.c		Use strlen(text)+1 so that the leading \0 is
					written to the grdfile.
		gmt_plot.c		Tried to free xings nc times in GMT_map_lontick
					(not good if nc > 1)
		pswiggle.c		Swapped filename and program-name
		gmt.h			Use POSIX-defined floor and ceil instead of
					buggy GMT macros.
		gmt_math_init.csh	Now also looks for an externally defined rint(x)
08/24/1998	psxy.c			Once again plots faults with -Sf.
					-SE instead of -Se expects azimuth and axes
					lengths in km.
08/25/1998	pslib_inc.h		Use POSIX-defined floor and ceil instead of
					buggy GMT macros.
08/26/1998	surface.c		converge_limit set before z_scale calculated.
					Thus, this limit was always 0.001 unless set
					with -C.
		nearneighbor.l		Makes it clear that nearneighbor only considers
					the nearest value inside each sector; not all
					values inside the radius.
		grdinfo.c		Option -C to format report on a single line for
					shell scripting convenience.
08/27/1998	*.*			FRAME_PEN, GRID_PEN, and TICK_PEN can now be
					generic GMT pens (e.g., 2/255/0/0ta), and new
					function GMT_setpen is used throughout GMT for
					setting pens.
		pscoast.c		New option -M to dump shorelines which makes the
					utility shoredump obsolete.
-----------------------------------------------------------------------------------------
===> 09/04/1998		tar 3.1brev2 made and released to testers
-----------------------------------------------------------------------------------------
09/05/1998	gmt_math_init.bash	Bash version for install under Cygwin32 or DJGPP
		job*.bash		All example scripts now come in csh and bash
					flavors.
		do_examples.bash	Driver script for all examples
09/07/1998	pslib_inc.h		Added 6 more patterns to make it an even 90.
		*.*			-Gp/-GP now takes dpi instead of size. 0
					still means current DPI setting.
09/09/1998	gmt_support.c		replaced pw_gecos with pw_name since the
					former is not guaranteed to be there by POSIX.
09/11/1998	minmax.c		Reported junk if -I was set and no files found.
09/16/1998	gmt_io.c		Added DOS portability for binary/text fopens.
		psscale.c		y-label now plotted using ANOT_FONT settings.
		psxy.c			Upper case symbol have equal size, lower case
					symbol act as in GMT 3.0.
		gmt*.c			Added DOS directory delimiter support and WIN32
					preprocessor flag.
		Appendix L		New info for using GMT on non-Unix machines.
09/17/1998	psxyz.c			Now enjoys the same 2-D symbols as psxy,
					and may read symbol types from data.
					data files may now be binary as in psxy
		psrose.c		Now can handle binary or ASCII data.
		pshistogram.c		Now can do patterns.
09/23/1998	gmtdefaults		Added new parameter MAP_SCALE_HEIGHT for size of
					map scales on map (used to be TICK_LEN)
		gmt_math_win32.h	The gmt_math.h file for MSDOS
		gmt_win32.h		Extra include file for MSDOS compilation
09/26/1998	pshistogram.c		Fixed bug in -S.
		gmtselect.c		Fixed bug in memory allocations
		GMT			Added Examples 17-20 and updated cookbook
09/28/1998	grd*			Makes sure that grd files created by GMT have no
					more than 0.01% slop in dx/dy relative to data
					range.
					Likewise, require the same max slop upon reading
09/29/1998	grdedit.c		New option -A to adjust old grdfiles with too
					much slop in -R -I.
09/30/1998	spectrum1d.c		Allow for single window.
-----------------------------------------------------------------------------------------
===> 09/30/1998		tar 3.1brev3 made and released to testers
-----------------------------------------------------------------------------------------
10/08/1998	psxy.c			Will automatically look for -W and -G strings
					in multisegment headers and let those settings
					override the command line settings
		psxyz.c			Same as psxy.c above
10/09/1998	gmtdefaults.c		Needed GMT_stdout set separately since GMT_begin
					is not used in this program only.
		xyz2grd.c		Default for -Z should be ascii (-ZTLa)
		grd2xyz.c		Same.  Also updated man pages.
10/13/1998	grdview.c		Now checks for improper file sizes AFTER having
					the right information in hand...
		gmtenv.bat		DOS bat file to set GMT environment paths on
					Windows 95/1998.
		gmtinstall.bat		DOS bat file to compile GMT using Microsoft
					Visual C/C++ tools.
		letter2A4.sh		Shell script to convert documentation to A4
-----------------------------------------------------------------------------------------
===> 10/14/1998		tar 3.1brev4 made and released to testers
-----------------------------------------------------------------------------------------
10/15/1998	gmt_cdf.c		GMT_cdf_write_grd_info was not in define mode so
					changes to info was not allowed in grdedit.
		gmt.h			Fixed typos in ellipse params and added WGS-66
10/16/1998	blockm*.c		Incorrectly set n_expected_fields when -bi gave
					the number of fields.
10/18/1998	mapproject.c		Binary output did not happen
10/19/1998	grdtrack.c		Same problem for some cases of io.
		gmt_io.c		ASCII read function chops off trailing blanks,
					commas, and tabs so # cols is set correctly.
		gmtselect.c		Simplified output format test.
		psclip.c		Now can handle empty multisegment segments.
		psxy.c			Now can handle empty multisegment segments.
		psxyz.c			Now can handle empty multisegment segments.
		spectrum1d.c		Now may output using binary format with -bo[s]
		splitxyz.c		Now may output using binary format with -bo[s]
		minmax.c		Must specify # of columns in -bi
		*.c			All programs that take -M (multisegment input)
					now checks for empty segments.
		psmask.c		Added -F for pixel registered masks.
		grdproject.c		Now sets measure unit to m with -Mm.
		grdcontour.c		-W+ will use the cpt colors when drawing contours
		pscontour.c		-W+ will use the cpt colors when drawing contours
-----------------------------------------------------------------------------------------
===> 10/20/1998		tar 3.1brev5 made and released to testers
-----------------------------------------------------------------------------------------
10/20/1998	sample1d.c		Fixed typos in usage message.
10/21/1998	block*.c		Finally, binary i/o works...
		*.c			Binary i/o only worked for 1st input file
					because GMT_io.status was never reset to 0.
10/22/1998	psxy[z].c		-L now ONLY means to close the polygons.
					Only -W[pen] sets symbol outline.
		job*			Edited all affected example scripts.
		pslib.c			If SI is set then A4 pagesize is assumed.
		letter2A4.sh		Adjust differently for landscape & portrait.
		Documentation		Fixes spellings and added more info.
		Scripts			Shrunk Ex 12 and 14 by 10%, added title to 17.
10/26/1998	pscoast.c		Now checks for all of the 5 coastline bases.
		grdlandmask.c		Same.
		*.c, *.txt		All -H explanations are now [-H[<nrec>]]
		pscoast.c		-M now accepts optional multisegment flag
		*.man			Cleaned up manpage typos and inconsistencies.
		Archives		Split crude, low, and intermediate coastlines
					and rivers/borders into separate _lib.tar.gz
					archive to make source archive small.
10/28/1998	GMT			Now under GNU General Public License.
		gmt_init.c		Updating of .gmtdefaults is now using
					advisory file locking.  This means that
					only one GMT program will be able to
					read and write to the .gmtcommands file
					at any time.  In GMT 3.0 and earlier
					versions it happened that a later GMT
					call in a series of pipes would try
					to read while another program was busy
					updating the file.
		*.c			Programs now update the .gmtcommands
					file immediately after error checking.
10/29/1998	blockmode.c		New program for block mode estimates.
		blockmedian.c		Now takes -Q to return (x,y) at median z
					value rather than median x, median y.
10/29/1998	psmask.c		When optimized the distance variable was
					not exactly zero when I thought it was,
					so a test failed that assumed it was zero.
10/29/1998	gmt_init.c		Permission problems with i/o to .gmtcommands
					are no longer fatal errors, just warnings.
		gmt_grdio.c		Now tells users to use grdedit -A upon
					finding incompatible -R -I in grdfiles.
10/30/1998	psxy[z].c		Needed to differentiate between number
					of required versus expected columns,
					since binary must read all columns.
		*.c			All programs that have -bi option are given
					reasonable default values for the number of
					columns that is expected.  This can always be
					overridden by -bi[s]<n>.
		job20.*			Assumed ./ in users' $path.
11/02/1998	grdvolume.c		Added -Z and -L options; also tighter error
					checking on arguments.
		grdcontour.c		Upper left node was not changed by -Z.
11/03/1998	project.c		Can handle any number of input columns beyond
					the required x, y.  Now behaves in the same way
					as mapproject and grdtrack in that text fields
					are passed through if both input and output
					modes are ASCII.
11/04/1998	psxyz.c			Used old, wrong variables in outside test.
11/05/1998	pslib.c			Only issue paint and pen changes when the new
					values differ from the current values.
		gmt_math_init.*		Now use isnanf = isnan[d]((double)(x)) instead
					of poor man's x != x macro.
11/08/1998	gmt.h			Special #ifdef __MACHTEN__ to fix bad machten
					implementation of ANSI/POSIX.
		pslib_inc.h		-------"-------
		gmthex2ras.c		-------"-------
		job09.csh		Made safe for broken csh versions that do not
					like if (..) action 1-liners.
		gmt_support.c		Added alternate GMT_delaunay function based on
					Jonathan Shewchuk's triangle routine.  The
					instructions on how to use this alternate code is
					placed in TRIANGLE.HOWTO in the src directory.
-----------------------------------------------------------------------------------------
===> 11/08/1998		tar 3.1 made and released via email
-----------------------------------------------------------------------------------------
11/09/1998	gmt_init.c		passed char rather than int to isdigit, isalpha
					and strchr.
		grdmath_main.c		passed char rather than int to isdigit
		pstext.c		Same.
		gmt_io.c		Passed char rather than int to strchr
		gmt_support.c		Arg to one free call not cast to void
					Several GMT_memory returns not cast to char *
		gmt_map.c		Arg to one free call not cast to void
		grdcontour.c		Several GMT_memory returns not cast to char *
		grdtrack.c		Same.
		mapproject.c		Same.  These fixes are not bugs but bad style.
11/10/1998	Makefile		Replaced USER with PROGS to avoid conflicts
					with $USER in shells.  Added gmt_boundcond.h
					to list of include files in makefile.
11/13/1998	gmt_io.c		ascii_input now returns -1 if EOF instead of 0.
		gmtselect.c		do_project was not set if -J was not given but
					-R was used and -Jx1 was implied.
					check for n_fields >= 0 since -M files' multi-
					segment headers gives n_fields = 0
		grdtrack.c		Failed for -M files; now checks for n_fields >= 0
		mapproject.c		Same.
		pshistogram.c		Same.
		psmask.c		Same.
		spectrum1d.c		Same.
		trend?d.c		Same.
		psxy[z].c		-G -W in multiple segment headers now also apply
					to symbols.
11/16/1998	xyz2grd.c		Fixed Verbose output report to align names and
					values.
11/23/1998	psxy.c			Warns if error bars exceed allowable domain,
					i.e., goes negative for log plots.
		minmax.l		Said -K instead of -M (explain_-M.txt had typo)
		gmtconvert.l		Same.
		project.l		Same.
		psmask.l		Same.
		gmt_support.c		R. Krueger: Fix to yield the same pattern & line
					thickness regardless of SI or INCH.
		pslib.c			---"---
		pshistogram.c		Added -A option and new 'o' modifier for -I.
		pshistogram.l		Had no mention of -I.
		grdhisteq.c		Did not update grdfile history remarks.
-----------------------------------------------------------------------------------------
===> 11/23/1998		tar 3.1.1 made and released via email & EOS
-----------------------------------------------------------------------------------------
11/25/1998	project.c		Got hung if -W or -L was set.  Fixed many typos
					in both man page and usage message.
		psscale.l		Had old-style -B example.
		gmt.h			Added support for paper Media formats
		gmt_init.h		Same
		gmt_init.c		Same
		gmt_media_name.h	New include file for media names
		gmt_media_size.h	New include file for media sizes
		gmtmedia.d		User-editable file for custom paper media kept
					in $GMTHOME/lib
		gmt_keywords.h		Changed PAPER_WIDTH to PAPER_MEDIA
		gmtdefaults.l		Same, plus added list of all media
		pslib.c			Changed paper_width from double to integer array
					of length 2.  People using pslib, beware!
		pslib.h			Same
		pslib_inc.h		Same
11/26/1998	grd2xyz.c		Now gives warning if -bo and -Z are selected.
		xyz2grd.c		Now gives warning if -bi and -Z are selected.
11/26/1998	pslib.c			Bug in ps_image caused 1-bit images to fail.
		pscoast.c		Now uses GMT_prep_polygons which is defined in
					gmt_shore.c as a new function.
		grdlandmask.c		Now uses GMT_prep_polygons instead of duplicate
					code from pscoast.  All progs needing to extract
					and use coastline polygons will use this routine.
11/28/1998	img2mercgrd.c		Supplemental program: Fixed bug in -T0 that gave
					0 data
11/29/1998	pslib.c			Read Sun rasters incorrectly on bigendian
					machines.  Now should work ok on all platforms.
		gmtselect.c		Now takes -N (and -A, D) to keep/skip points that
					are inside/outside any geographical features
					(coastlines).
11/30/1998	pslib.c			Added support for Run-Length Encoded rasterfiles.
					PS. this feature has not been extensively tested
					at this point since I haven't gotten many RLE
					files to test on.  Also fixed a bug for 24-bit
					images of odd width.
		gmthex2ras.c		Obsolete since Sun rasterfiles are defined at
					the byte level so new read-module in pslib works
					on all platforms.  The GMT patterns will now be
					distributed as binary rasterfiles.
12/01/1998	gmt_customio.c		Now reads/writes format # 3 Sun rasterfile header
					correctly on all platforms, like pslib.c
					If you ever used GMT to write Sun rasterfiles
					under Linux, you need to fix the raster headers.
12/02/1998	psclip.c		fclose outside file loop so only ~95 files could
					be opened before we run out of file pointers...
		gmtselect.c		Added friendly check to ensure -L and -F gets a
					multisegment file.
12/08/1998	grdimage.c		Had two problems: 1) Clip path did not follow
					the grid but the -R region. 2) images sometimes
					were shifted incorrectly.  Both problems fixed.
		grdview.c		Clip path now based on grid, not -R.
					Pixel grids are now processed correctly.
12/09/1998	*			All internal calculations in GMT are now done
					using inches.  All input lengths (e.g., map
					scales or widths, distance gaps, symbols sizes,
					etc) that previously were taken as inches or as
					either inch/cm are now scanned to see if they
					have the unit c, i, m, or p appended (c = cm,
					i = inch, m = meter, p = point).  If no unit is
					appended, GMT will default to the unit set by
					MEASURE_UNIT.  Thus, even if MEASURE_UNIT is cm
					one can specify a 6 inch map with -JM6i.
					All the man pages have also been updated.
		psmegaplot.c		Updated to deal with GMT 3.0 PS format.  No
					longer need PS files produced with -K at the end.
		job??.{csh,bash}	Now employ unit-independent widths, sizes and
					pens.  Should give identical results regardless
					of which MEASURE_UNIT is in effect.
12/14/1998	gmt_plot.c		FANCY frame for Lambert Conic had problems
					when south was not multiple of y_inc.
12/29/1998	gmt_inic.c		Now accepts -X -Y where a prepended a indicates
					absolute coordinates [Default is relative,
					prepending r has no effect]
		pslib.c			Added absolute mode according to above.
		gmt_support.c		Same
01/02/1999	grdmath.c		Added j0, j1, jn, y0, y1, yn, erf, erfc
					which is present in most math libraries,
					and bei, ber, kei, ker from gmt_math.c
					Also log1p which we already use elsewhere.
		gmtmath.c		New program with same operators as grdmath
					except it works on tables instead of grids.
		gmt_math.c		Contains definitions of bei, ber, kei, ker.
		gmt_math_init.csh/bash	Looks for j0, j1, jn, y0, y1, yn, erf, erfc
					and puts dummy macros in gmt_math.h if not found.
					(erf and erfc also conditionally included
					in gmt_stat.c if not found locally).
01/12/1999	grdmath.c		Added Legendre polynomial of degree L and order
					M (PLM), the fully normalized surface spherical
					harmonic YLM, and POP (delete top stack element).
		gmtmath.c		Added PLM and POP, see above.
		pstext.c		Now clips same way as psxy.
01/13/1999	gmt_map.c		Improved map-jump mechanism.
01/14/1999	pslib.c			-G with black failed in psbasemap.
01/15/1999	GMT			Added ZapfDingbats as font # 34
		psbasemap		Usage did not list -E
01/17/1999	pstext.c		-W can now take optional pen after 'o', and
					will not fill without a shade/color.
01/19/1999	Documentation		All rewritten in Latex and translated to
					both PostScript and HTML
01/20/1999	grd/gmtmath.c		Added modified Bessel I0 and modified
					Kelvin K0 functions.
01/21/1999	grdmath.c		Added 5 operators: DDX, DDY, D2DX2, D2DY2, CURV
		gmtmath.c		Added 2 operators: DDT and D2DT2
01/23/1999	psclip.c		The -M option wrote the multisegment header
					to the PS file without leading %.
		gmt_plot.c		Now can use grid crosses for linear projections
01/25/1999	psbasemap.c		Now works with -JX<width>p<power> when the
					<power> is negative.
		grdmath.c		Added modified Bessel functions I1, IN, K1, KN.
		gmtmath.c		Same.
02/04/1999	grdhisteq.c		Had error in testing filenames.
02/05/1999	gmtio.c			-M is allowed with -b and means look for records
					with all fields == NaN as to imply binary
					multiple segment headers.
		*.c			Pens are internally maintained in units of
					points to avoid DPI problems.
		mapproject.c		Added -D option to temporarily reset MEASURE_UNIT
02/08/1999	pslib.{c,man}		All symbols sizes are now given as the
					diameter of circumscribing circle.
		psxy[z].{c,man}		Same, except for upper case as before.
02/11/1999	psscale.c		Giving negative length now reverses scale
					Will read stdin if -C not given.
02/17/1999	pscoast.c		Now may take only -C and only plot lakes.
		gmt_map.c		Gives error if longitude range exceeds 360
03/02/1999	triangulate.c		Synopsis or man page did not mention -E option.
					Added -Dx|y option to take derivatives.
					-J was ignored when -G -I were set.
03/03/1999	grdcontour.c		-Z[fact[/shift]]p allows for 360-degree
					periodicity in z (i.e., phase data).
03/03/1999	psxyz.c			Did not let users specify -Su (3-D cubes)
03/08/1999	gmtmath.c		Added Heaviside step function STEP
		grdmath.c		Added Heaviside step functions STEPX and STEPY
03/11/1999	makecpt.c		Rewritten to take a master cptfile as starting
					point and -T option to set z-steps.  About a
					dozen master cpt files distributed with GMT.
		grd2cpt.c		Same.  Takes -C<mastercpt> and -Tz0/z1/dz as
					makecpt.c
03/16/1999	gmt_services.html	Added sub-page for supplemental man pages
03/17/1999	manpages		Fixed misc. typos and inconsistencies.
03/18/1999	splitxyz.c		z-output not passed through correctly.
03/22/1999	grdedit.c		Using -R now changes the dx/dy automatically.
03/23/1999	gmt_math_init.csh	More robust test for which awk to use
		do_examples.csh		Same.
-----------------------------------------------------------------------------------------
===> 03/25/1999		tar 3.2 made and released via email
-----------------------------------------------------------------------------------------
03/26/1999	gmtmath.c		Forgot to implement -H, now done
03/26/1999	pslib.c			Added ps_imagemask for transparent bitmaps
		gmt_support.c		Understands that fore- or background color in
					-Gp can be - which means transparency
		psimage.c		-Gf- or -Gb- means transparency
		grdimage.c		New -G[f|b]<rgb> option to make transparent
					color masks from otherwise black/white 1-bit
					images
04/02/1999	grdview.c		-Qsm drew contours even though -W was not set.
		pscontour.c		Usage did not explain -W+.  Added -A- to
					force deactivation of all contour labels
		grdcontour.c		Same.
		sample1d.c		Had memory allocation errors with -M.
					Now also works with -N file that spans the
					range of several -M segments.
		gmt_plot.c		GMT_polar_adjust sensitive to round-off which
					could affect orientation of basemap annotations
		gmt_math_init.csh/bash	Had wrong #define for the dummy yn(n,x) function
04/05/1999	grdreformat.c		Now skips comments in gmtformats.d file
		grdraster.c		Forgot to deal with DOS directory slash
					and drive letters
		gmt_mgg.c		Forgot to deal with DOS directory slash
04/06/1999	gmt_map.c		Hopefully fixed a bug in finding map crossings
					for linear projection.
04/07/1999	pslib.c			Now knows about DOS drive letters in any
					pattern filenames
		gmtmath.c		Added -Q shorthand option for scalar math
					Same as giving -Ca -N2/0 -T0/0/1
04/08/1999	pslib.c			Missed final linefeed when -K and absolute
					positioning (-Xa? -Ya?) were used.
		grdimage.c		Shit! Somehow, MAPPING was replaced by
					!RECT_GRATICULE on 12/8/98, i.e. after 3.1.1
					Now fixed (again). All grdimage plots made since
					3.2 came out have problems if they use a map
					projection that had rectangular graticules, like
					Mercator and many cylindrical projections.
04/09/1999	pslib.txt		ps_command and ps_colortiles are now documented
		pslib.c			Added ps_flush for buffer flushing.
		pscoast.c		Added -bo option for use with -M
04/12/1999	grdraster.c		Did not open files as binary (which is required
					under Win32)
		dat2gmt.c		Same.
		gmt2dat.c		Same.
		gmt2bin.c		Same.
		gmtinfo.c		Same.
		gmtselect.c		Sped up test for proximity to points by first
					checking for inside a square (fast), then the
					circle (slow).  Suggested by Joaquim Luis.
					Also added -Cf for using Flat earth (fast)
					rather than great circle distance calculations.
					Also, use original x,y values for the output
		psscale.c		Did not respond to any -X -Y options.
		gmt_init.c		Complained if one of -X, -Y was set as absolute
					and the other was implicitly 0.
		grdcut.c		Did not check that output -R was ok
		grdfilter.c		Did not check that output -R, -I were ok
04/27/1999	gmt_defaults.h		Without .gmtdefaults, paper size was 0x0
		install_gmt		Now figures out if binary files written on Suns
					(e.g., data files like world_grav etc) need to be
					swapped on the user's machine.  This is used to
					compile in swapping in some of the supplemental
					programs. Not used by main GMT programs.
		img2mercgrd.c		Compiles in swapping if install_gmt says so.
04/28/1999	xyz2grd.c		Added -S[file] option to simply swap the
					byte order and write out new table.
					Added H and I for unsigned short and ints
		grd2xyz.c		Added H and I for unsigned short and ints
		gmt_io.c		Fixed problems with swapping of signed
					short and ints.  Added i/o for unsigned
					short and int.
04/29/1999	blockm*.c		Inadvertently turned -W on if data had 4 cols.
		gmtdefaults		Added case-insensitive checking for most
					GMT parameters unless noted.  Also enforcing
					stricter error checking on given values
		gmt_map.c		Sped up several projections by eliminating
					repeated trig calls with same argument.
		gmt_support.c		GMT_LUT structure now holds the quantity
					i_dz = 1 / (high_z - low_z) which got
					recalculated every time in GMT_get_rgb24.
05/04/1999	pstext.c		Added -M mode for paragraph typesetting.
					-Dx/y[v[<pen>]] will draw line from point to
					the offset location (-M only).
		pslib.c			Added ps_words function for paragraph
					typesetting.  Will include file PSL_text.ps
					from lib until it is stable. ps_words knows about
					3 additional escape sequences:
					@_ toggles between normal and underlined text
					@:size: changes font size, @:: resets it.
					@;r/g/b; changes font color, @;; resets it.
05/06/1999	grdmath.c		Added function DILOG.
		gmtmath.c		Same.
05/11/1999	pslib.c			No longer issues %!PS statements more than once.
		gmt_map.c		Added spherical code for projections Mercator,
					TM, UTM, Stereographic, Lambert Conic, Albers
					Conic, and Cassini.  Used when flattening == 0.
		psxy[z].c		Did not process -Sbb<base> correctly (when width
					is expected as one of the data columns).
05/12/1999	pslib.c			%%Orientation was not set correctly, and is now
					only issued for PS files, not EPS.  %%Page is now
					used for PS files.
		gmt_map.c		scale_factor was inadvertently set to 1 for the
					Stereographic projection.
05/18/1999	gmt_support.c		GMT_shift_grd had error for gridline-registered
					grids.  This affected grdedit -S operations.
		grdimage.c		Needlessly interpolated grid when -JX.d was used.
		xyz2grd.c		-L and xyz input will now enforce periodicity.
05/20/1999	GMT			Added -Jv (van der Grinten) projection
					Added -Jd (Equidistant conic) projection
					Added -Jkf Eckert IV (f for 4).  Also allow
					-Jks for Eckert VI (s for 6) but -Jk without
					modifier will default to Eckert VI.
05/25/1999	gmt_plot.c		Now FANCY basemap works for all Conic projections
05/26/1999	gmt_plot.c		Implemented global TM, and allow optional way to
					specify TM with latitude of origin (default 0).
05/27/1999	xyz2grd.c		Was not robust enough when calculating the node
					positions.  Warns about pixel/gridline confusion.
05/28/1999	grdproject.c		-F now means toggle node registration,
					and default is same as input file.
05/31/1999	xyz2grd.c		Test for -N nodata values mixed floats
					and doubles and would sometimes fail.
		gmt_init.c		More tolerant of blank lines in .gmtdefaults
					file and comments in ellipse files.
		grdraster.c		Now tolerates blank lines in grdraster.info file
06/04/1999	gmt_plot.c		Round-off problems would lead to some annotations
					being omitted at xmax or ymax
		*.c			#ifdef SINCOS added to take advantage of sincos
					function where available.
06/07/1999	gmt_init.c		Make sure -b options are processed before file
					names are encountered since fopen mode must be
					set correctly. Should only affect WIN32 version
		examples		Now include DOS *.bat versions for all examples
					(except 03).  Added scripts to view all plots.
06/08/1999	gmt_init.c		flush .gmtcommands file before unlocking/closing
					and use same open file pointer for read/write.
-----------------------------------------------------------------------------------------
===> 06/09/1999		tar 3.3 made and released via email
-----------------------------------------------------------------------------------------
06/11/1999	xyz2grd.c		When -S is set the fopen modes must be
					rb and wb or it will fail under WIN32.
06/14/1999	psxy.c			Needed a "stroke" operator after drawing
					error bars.
		psxy.txt		Clarify that -N does not affect the PostScript
					BoundingBox; you may have to post-process in
					order to get a correct BB.
		psxyz.txt		Same.
		pstext.txt		Same.
		gmt_support.c		CPT files with gray-value columns only did not
					get processed correctly.
06/15/1999	gmt_map.c		Mindless ensistence on |y| <= 90 applied even
					for non-geographic data in gridlines...
		grdraster.c		Added optional final column that can be set to L
					or B to indicate the endianness of the data file.
06/17/1999	gmt_init.c		Use GMT_DEFAULT_PATH instead of /usr/local/gmt.
					This is set in makegmt.macros
		pslib.c			Same.
06/18/1999	gmt_cdf.c		Reduced repeated code and simplified
		gmt_customio.c		Same.
		gmt_grdio.c		Same.  Combined, these 3 shrank in size by 30%
06/20/1999	psxy[z].c		-SV[]n<norm> did not work, now fixed.
		psxy.c			-E with no symbols gave SEGV.
					Now, -E with no xy means -Exy (or -Eyx, with -:)
06/21/1999	pstext.c		Better treatment of European font reencoding.
		*.c *.h			Added MSC support for DLL libraries (WIN32)
		-B			Can also take :,"unit string": which will be
					appended to each annotation value.
06/21/1999	gmt_stat.c		Speed up calculation of kei, ker, bei, ber and
					extended domain to |x| > 8.
					Fixed m-loop bug in plm.
06/24/1999	fourt.c			Erroneously included sunmath.h instead of giving
					prototype.
		mgd77togmt.c		Now understands the new, Y2K-compliant MGD77
					format and also has a kludge Y2K fix for older
					(i.e., 2-digit year) files.
		spotter			New supplemental package for plate tectonics
		x2sys			New supplemental package for finding trackline
					intersections (crossovers)
		meca			Four new tools (pscoupe, psmeca, pspolar, and
					psvelo) replaces old psvelomeca and adds more
					functionality.
		Makefile		Now supports shared libraries on most systems
06/30/1999	psxy[z].c		-SE would scale axes incorrectly if MEASURE_UNIT
					did not happen to be INCH.
		gmt_map.c		GMT_left_albers, GMT_right_albers replaced with
					GMT_left_conic, GMT_right_conic that actually do
					the work (no more report to gmt@soest message).
					Same for Lambert and equidistant conic.
		gmttrack.c		Messed up measurement units if not INCH, now ok.
		grdview.c		-Qs did not process F/B colors correctly.
07/01/1999	PSL_text.ps		Typo PLS_top instead of PSL_top caused error
					for 1-line paragraphs.
-----------------------------------------------------------------------------------------
===> 07/01/1999		tar 3.3.1 made and released via email
-----------------------------------------------------------------------------------------
08/12/1999	fourt.c			Line 382 had sin, cos reversed (sincos only).
		grdpaste.c		New line 269 that initializes pad array to zero.
		gmt_grdio.c		Initialize geo = FALSE at line 250.
		gmt_cdf.c		Line 236 should read edge[0] = header->nx.
		install_gmt		Missing "then" in if-test at line 566
		pscoast			Fixed -G syntax in man page example
		gmt.h			Added global variable GMT_pad[4] to simplify code
		gmt_init.h		---"--- and initialized it to zeros.
		grd*.c			Now use GMT_pad.
		job06.bat		Use %% to print %
		gmt_map.c		Added HALF_DBL_MAX to avoid overflow in slopes.
		pslib.c			European font mechanism had extraneous leading
					/ in PSL_Euro_encode and no 'if' for procedure.
08/13/1999	*.c			Replaced free(..) with GMT_free (..) so Win32
					DLL will work (Thanx to Hanno von Lom).
08/16/1999	gmt_support.c		Added function to deal with optional file
					coastline.conf containing multiple directories
					in which coastline files may be stored.
		gmt_shore.c		Now uses GMT_getpathname to find path to a
					coastline file (which may be in different dirs).
		gmt_shore.h		Added prototype for GMT_getpathname.
		README			Explains the optional coastline.conf feature
		gmtselect.c		Removed old GMT_find_resolutions stuff.
		grdlandmask.c		Same.
		pscoast.c		Same.
		makegmt.macros.orig	Made Watson's triangulation routine the default
					due to copyright issues.
		install_gmt		Same.  Also added optional coastline.conf
					installation for high and full coastlines.
		gmtselect.c		Could SEGV by picking bad bin number.
					Also got incorrect bin for lat = -90.
08/18/1999	grdlandmask.c		Incorrectly calculated which nodes to initialize.
		binned_GSHHS_c.cdf	Had bad levels for support nodes in Antarctica
08/19/1999	spectrum1d.c		Expanded -C to allow selection of output spectra.
					Contributed by Ben Horner-Johnson.
					Check for negative window count.
08/26/1999	gmt_map.c		Fixed incorrect clippath for -JP projection
08/27/1999	grdimage.c		Fixed error in image scaling when -R region was
					larger than grd region.
		gmt_map.c		Added optional argument to -JP to explicitly set
					the angle of the baseline [default is 0].
					Better checks on -J -R consistancy.
		gmt_plot.c		Now always resets pen dashing in GMT_setpen.
					Fixed annotation bugs in -JP.
08/30/1999	gmt_support.c		GMT_format put trailing space in the
					annotation format
		gmt_init.c		Allow negative ANOT_OFFSET values
		gmt_plot.c		Place annotation inside frame if ANOT_OFFSET is a
					negative value.  Handle +/- TICK_LENGTH correctly
		psscale.c		Internal tickmarks ok, and use |ANOT_OFFSET|.
09/01/1999	psscale.c		-B:,<unit>: now works correctly.
		*.[ch]			#define support for building GMT under OS/2 with
					the EMX system have been added, thanks to Allen
					Cogbill, Los Alamos National Laboratory.
		pslib.c			Fixed ps_words bug that caused SEGV when first
					word had certain @ escapes.
		install_gmt		Now uses $EDITOR, allows edit of makegmt.macros.
09/07/1999	gmt.conf		New configuration file in lib allowing run-time
					selection of SI or US GMT default values.
		.gmtdefaults_SI		Placed in lib, has SI default values	
		.gmtdefaults_US		Placed in lib, has US default values
		gmt_init.c		Deals with GMT default inits via gmt.conf
		gmtdefaults.c		Option -D[s|u] can return SI, US, or currently
					set system defaults (via gmt.conf).
		*.l			No longer separate SI and US man pages - one set
					contains examples of both SI and US usage.
		install_gmt		Sets gmt.conf and no longer deals with -DSI
09/08/1999	gmt_support.c		Did not interpolate CPT tables correctly when
					-I was passed to makecpt.
		gmt_map.c		Fixed incorrect clippath for -JP projection again
09/09/1999	gmtselect.c		-C speedup by sorting points in x first, as
					suggested by Joaquim Luis.
09/10/1999	gmt_stat.c		Added inverse error function for grd/gmtmath.
09/14/1999	psscale.c		-Z behaved badly when comment lines were present.
09/16/1999	pslib.c			Had problems with @+-1 (interpreted - as @-).
09/17/1999	psscale.c		Added -M for monochrome bars
		gmt_init.c		Added support for binary i/o under WIN32
		Supplementals		Added segyprogs supplemental archive, provided
					and maintained by Timothy Henstock
09/20/1999	grdimage.c		Added -S as in grdproject.c
		minmax.c		-I had trouble with empty data files
09/21/1999	gmt_init.c		BASEMAP_FRAME_RGB did not correctly set values
					for tick, frame, and grid pens.  Now, a call to
					gmtset BASEMAP_FRAME_RGB resets all the pens rgb,
					while individual pens can be set separately.
		grdinfo.c		Added -D to report w/s/e/n dx/dy using dd:mm:ss.f
09/22/1999	gmt_io.c		No longer need the -bo:file WIN32-specific option
		job*.bat		DOS versions modified for gawk limitations
					All examples works with static executables but
					several fail with DLL so we still will distribute
					static executables and work on these problems
		gmt_win32.h		Also include fcntl.h needed for binary i/o mode
-----------------------------------------------------------------------------------------
===> 09/23/1999		tar 3.3.2 made and released via email
-----------------------------------------------------------------------------------------
10/04/1999	gmt_map.c		Memory problem in GMT_truncate_*.
					Comment out check_R_J for azimuthal projections.
		PSL_text.ps		Replaced t and c with PSL_t and PSL_c to avoid
					interference with other pslib variables.
		install_gmt		Must use cp -r to move lib contents.
		gmt_support.c		GMT_sample_cpt had problem, now fixed and tested!
10/05/1999	grdlandmask.c		Mixed inches and degrees in a bad way... Also
					assumed grid dx/dy was less than bin sizes.
10/06/1999	gmt_init.c		fcntl.h was not included under Cygwin.
10/07/1999	mex/grdread.c		Did not fill in x,y when [x,y,z,d] = was used.
10/08/1999	grdview.c		Implemented new image clip routine instead of
					the buggy simple clip function.  Also fixed
					incorrect pixel loop and wrapping.
10/14/1999	gmt_support.c		Also flip back/fore-ground colors when reversing
					a cpt file with makecpt -I
10/18/1999	*.c			Replaced #ifdef SINCOS with always calling sincos
					which is either native or a GMT dummy call.
		configure		New script made by autoconf takes some of the
					guessing out of the installation, and creates
					gmt_math.h from gmt_math.h.in and make.macros
					from make.macros.in.  The *.in files are new in
					3.3.3.
		install_gmt		Now takes optional parameter file to run a batch
					type (quiet) installation.  At the end of an
					interactive install it will write out the para-
					meters to install.par to be used for batch
					installing.
					install.par can also be designed from the GMT
					web.
		blockmean.c		Added -S to get block sums.
		gmt_stat.c		Provide alternative Bessel functions if not in
					-lm: GMT_j0,j1,jn,y0,y1,yn used if not on ANSI-C
					system.
10/19/1999	mex/makefile		Did not have target spotless defined.
10/20/1999	grdinfo.c		Added -F for world mapping format output.
10/22/1999	grdimage.c		Got incorrect projection box for global, azi-
					muthal projections.
10/26/1999	x2sys/x2sys_cross.c	-A option was implemented exactly opposite of
					what it was intended to do: Skip xovers on segm-
					ents that had point separation exceeding the -A
					setting.
10/28/1999	pswiggle.c		-I<az> behaved as -I-<az>
10/29/1999	nearneighbor.c		-H had somehow been dropped, now back in.
		gmt.h, gmt_init.c	Added FreeBSD floatingpoint support
10/31/1999	grdview.c		-QI no longer needed. -QI gives -Qi. There are no
					longer any grdview-specific limitations in -B
11/03/1999	psxy[z].c		Added optional %<font> that can be appended to
					-Sl to select a particular font [ANOT_FONT]
					<string> can be < 64 characters long.
		psxyz.c			Usage did not mention fault symbol or letter.
		gmtdefaults.c		Did not exit after detecting bad arguments.
		pslib.c			ps_comment used incorrectly in gmt_plot.c,
					causing hidden characters in PostScript output.
		GMT			Added 4 Japanese fonts to list of built-in fonts
11/05/1999	gmt_map.c		Power projection for y-axis had bug that made the
					axis go in the wrong direction and off the page.
		psimage.c		Added -E<dpi> and -F<pen> for image frame.
11/08/1999	psxyz.c			-Z option failed for -Z0.  Fixed.
		psbasemap.c		Same.
		psclip.c		Same.
		pstext.c		Same.
		grdview.c		Same.
11/09/1999	gmt_notposix.h.in	Split gmt_math.h.in into gmt_notposix.h.in, which
					contains the define statements that is set by the
					configure script, and gmt_math.h which is un-
					changed by configure and just holds the macros
					and function prototypes.  Only gmt_notposix.h
					will be made.
11/10/1999	grdvolume.c		Set zero-values to SMALL, not small, and thus
					added some offsets into the calculations.
		PSL-text.ps		Forgot to set PSL_top for single, hanging lines.
11/18/1999	pscoast.c		-Lx did not convert positions from the chosen
					user units to inches.
		psbasemap.c		Same.  Now done by new gmt_support.c function
					GMT_getscale which also does more error checking.
		*			Use share instead of lib for coastline and
					pattern subdirectory.
11/19/1999	psxyz.c			Now will clip polygons when -Jz is not set.
		Makefile		New top-level makefile deals with making, testing
					and installing GMT, supplements, docs, and data.
11/22/1999	gmt_map.c		Variable ok not set in GMT_geo_to_xy_line
11/24/1999	psxy.c			-C can now be used with polygons (-M).  Each
					segment header must have a -Z<val> string to
					set the polygon color via cpt lookup.
		psxyz.c			Same.
		psmask.c		Had old test that disallowed pattern fill.
		grdimage.c		Added -T option for plotting categorical data
11/27/1999	grdview.c		Added -T option for plotting categorical data
11/29/1999	gmt_plot.c		tick_length used instead of map_scale_height
		pswiggle.c		Same.
12/01/1999	gmt_map.c		Implemented correct {l-/r-}_ellipse_boundary.
12/03/1999	gmt_init.c		Made advisory file locking a run-time option
					so that the mex GMT routines can turn locking
					off since Matlab would prevent other GMT jobs.
-----------------------------------------------------------------------------------------
===> 12/03/1999		tar 3.3.3 made and released via email
-----------------------------------------------------------------------------------------
12/06/1999	gmt_map.c		The GMT_quick_tm failed when -R did not straddle
					the central meridian, resulting in wrong TM code.
		pslib.c			Final underlined word had no trailing space.
12/07/1999	gmt_stat.c		Added GMT_rand and GMT_nrand for random numbers.
		gmt_math.h.in		Same.
		gmtmath.c		Added the two functions RAND and NRAND which give
					uniform deviates (0 < x < 1) and normal deviates
					with xero mean and unit variance, respectively.
		grdmath.c		Same.
12/20/1999	gmt_init.c		Added optional -Jp|P[a] for CW azimuths rather
					than the default CCW directions.  Thanx to BHJ.
		gmt_map.c		Same.
		gmt_project.h		Same.
		pslib.c			Global X and Y scale were not used to adjust the
					BoundingBox values.
		grdvector.c		Did not use default unit (MEASURE_UNIT) when -S
					gave a value without explicit unit appended.
12/27/1999	configure.in		--disable-flock to turn history file locking
					off.  Needed on pre-2.4 Linux kernels when using
					NSF-mounted disks from other Unix machines.
12/29/1999	originator.c		Added new program to the SPOTTER package which
					associate each seamount with most likely hotspot.
		backtracker.c		Added -A to limit output to certain times/stages.
					Added -LF|B to return stage id rather than ages.
					Added -S to write tracks to individual files.
01/03/2000	gmt_map.c		Use 3 points when making straight meridians to
					avoid disappearance of gridlines through corners.
		grdproject.c		Added -C as in mapproject to set origin
					independently of -M, which now allows the units
					to be cm, inch, or meter.
01/04/2000	gmt_map.c		Error in GMT_merc_inverse caused grdproject to
					exceed array bounds for some situations.
01/07/2000	pslib.c			pstext -M -W... would reset box pens after first
					paragraph since we were inside a local block.
01/17/2000	backtracker.c		Added -C to read Finite instead of Stage poles
		hotspotter.c		Same.
		originator.c		Same.
01/19/2000	gmt_plot.c		Annotation justification for right y-axis with
					power projection and -B....p was incorrect.
01/20/2000	psscale.c		Now paint with polygons when cpt file is discrete
					and no illumination effects are selected.
		surface.c		-L failed because we did not clip nodes that were
					not iterated by set equal to a nearby data point.
01/25/2000	gmt_io.c		Programs now decode [+|-]dd:mm[:ss.ff][w|w|S|s]
					as it occurs in any columns in the input data.
		gmt_io.h		Same.
		psxy.c			The -Z in multisegment headers now understand NaN
		psxyz.c			Same.
		gmt_map.c		Scaling error affected -Jw, -Jh, -Jr, -Jy, -Jv.
					Better crossing locator for ellipsoidal borders.
01/27/2000	gmt_init.c		geographical coordinates in input files and in
					command line options (-R, -J, etc) can now have
					suffix W|E|S|N|w|e|s|n to indicate sign.
02/01/2000	gmt_map.c		Array for boundary crossovers could only hold 2
					points but sometime 3 is obtained...
02/04/2000	.gmtdefaults_{SI|US}	Reverting the default settings to produce EPS not
					PS since we have failed to educate users on why
					there is a setpagedevice operator... This setting
					is now one of the installation options.
		gmt_map.c		Made the GMT_clip_to_map routine more robust so
					that it can handle cases where a polygon will
					intersect a map region but none of the vertices
					are inside the region.
02/05/2000	gmt_support.c		smooth_contour would pass duplicate points to the
					interpolant which failed to check for dx = 0.
					This affected grdcontour.
02/07/2000	mapproject.c		Did not allow for false northing (+1.0e7) for UTM
					coordinates on the southern hemisphere.
		configure.in		Added --enable-eps to set EPS as default format.
		gmt_colors.h		Added pointer to GMT_FILL struct in CPT struct.
		gmt_support.c		GMT_read_cpt now knows about pattern CPT files
					which only makes sense for grdview at the moment.
		grdview.c		Skips slices if red = -.  For -Qs, you can now
					let gray equal a pattern specification.  For -Qi
					I only apply image clipmask if there are no NaNs.
02/09/2000	psscale.c		Now can paint patterns in the scale bar.
02/10/2000	grdimage.c		-T can use patterns and skips in cpt file.
02/14/2000	xyz2grd.c		-L option did not work for some range of lons.
		pslib.c			ps_shorten_path incorrectly set dir of first
					segment to +1 without looking at dx.  This caused
					line segments with same slope but opposite dir-
					ection to be removed before plotting.
		psxy.c			-JP should not use great circle interpolation.
02/15/2000	grdvector.c		Now skips NaN vectors as they have NaN length...
		psxy[z].c		No longer need leading space before -G,-Z,-W in
					a multisegment header, and -Z also allows for
					symbols.
		grdproject.c		Made similar to mapproject by adding option -A
					to set 1:1 scaling (and optional unit) and exp-
					and -M to take same units as -D in mapproject.
		gmt_map.c		Simplifying modifications to fwd/inv grd-
					projections
		gmt_init.c		Put code to grdproject and mapproject put here.
02/17/2000	grdcontour.c		-D did not care that -Q was set.
		gmtselect.c		Now handles polygons (-F) containing S or N pole.
02/18/2000	grdmask.c		Now handles input polygons with S or N pole.
					Added -L to allow for periodicity in x data.
					Now checks if data are inside -R when -S is used.
		*.c			Output to stdout via GMT_stdout only (DLL bug?)
02/19/2000	psmask.c		Wrong starting row number for clipping gave SEGV.
		sample1d.c		Added -V for completeness
		grdedit.c		Added -V for completeness
		grdinfo.c		Added -V for completeness
		gmt_stat.c		Function erfc should have been GMT_erfc
02/21/2000	psxy[z].c		Added -Sw for pie wedges
02/22/2000	*.c			Final tuning to allow DLL support for WIN32
02/24/2000	pslib.c			Bug in numbering user-defined patterns.
					Changed ps_loadraster interface to take file
		pslib.h			Changed ps_loadraster interface to take file
02/25/2000	pscontour.c		Now paints only those pieces that are not to be
					skipped (old ver. always painted each triangle)
		psbasemap.c		-G can now take patterns too.
02/26/2000	psscale.c		Now -U is positioned correctly.
		cps/cpsencode.c		Malformed format statement gave junk in CPS file.
					Now understands DOS batch scripts
		cps/cpsdecode.c		Did not work with -e -u.
		ex16			Now uses pattern too and adds a color scale.
		gmt_support.c		B, N ,F in cptfile can be patterns or colors
03/02/2000	cps/cpsencode.c		Now uses built-in uuencode/decode functions from
					the new libuu.c functions.  Added option -x to
					embed executable files encountered.  Now sets the
					file permissions correctly, and #CPS: can take
					wild card notations.
		cps/cpsdecode.c		Sets file permissions correctly.
		cps/libuu.c		Library with uuencode/decode algorithm
		cps/uu.h		Include file used by libuu.c
03/03/2000	gmt_stat.c		Added faster version of GMT_jacobi
		gmt_plot.c		-U now outputs time in decreasing magnitude.
03/06/2000	x_system		Added old (1995) x_system to supplemental archive
					so it is available until x2sys is completed.
					x_system has been migrated to POSIX ANSI-C
		psxy.c			-Sf suffered from wrap-around in longitudes
		psxyz.c			-Sf suffered from wrap-around in longitudes
03/08/2000	gmtselect.c		Always assumed geographic coordinates if -R set.
03/13/2000	gmt_io.c		grd2xyz -Z wrote extra linefeed after NaNs
		xyz2grd.c		Never checked for too many input lines with -Z
03/14/2000	gmtmath.c		DUP and EXCH failed if only constants involved
		grdmath.c		Same.
		gmt_customio.c		NaN's were not set to proxies upon writing native
					binary files of type short int or smaller.
03/17/2000	gmt_map.c		Global oblique Mercator maps had zero scale...
03/20/2000	mapproject.c		Did not work too well with -: (thanx to TH)
		pscoast.c		Reset GMT_world_map which sometimes messed up the
					basemap overlay for azimuthal projections.
-----------------------------------------------------------------------------------------
===> 03/21/2000		tar 3.3.4 made and released via email
-----------------------------------------------------------------------------------------
03/21/2000	gmt_plot.c		GMT_echo_command used a 160-char char array which
					could overflow on very long (-B) options.
03/22/2000	pstext.c		-W has no default fill; fixed man page to agree.
		gmt_plot.c		-JPa needed to change to draw counter-clockwise.
03/23/2000	pstext.c		Added -Dj to set smart offsets that go in the
					direction of the string's justification.
					Now paints text fill after drawing outline.
03/24/2000	gmt_map.c		Sped up -JN by factor of 2 by saving coefficients
		gmt_mapproject.h	Added new variables needed for -JN
03/29/2000	xyz2grd.c		Still did 360-check even without -L
		triangulate.c		Did not validate that grd-indeces were inside
					the region when -R -I -G was used.
		gmt_init.c		-Js<lon>/<lat>/<lats>/1:xxxx for true scale at
					specified standard parallel implemented.
		gmt_map.c		Only give warning when central meridian as set
					by -J is outside -R (do not reset meridian).
		grdtrack.c		Added -Z option to only write the z-column
03/30/2000	pswiggle.c		-D scaled to meter even for non-geographical data
04/10/2000	pscoast.c		-Gc or -Sc with no coastlines in -R gave SEGV.
04/18/2000	gmt_plot.c		-B...:,unit: did not check for octal codes or
					escape sequences
		grdcontour.c		-D -M did not have linefeed at end of segm header
04/19/2000	gmt_customio.c		Reading of bit-masks did not allocate enough mem.
04/20/2000	gmtmath.c		-T... did not stick unless T was first operand.
04/24/2000	gmt_map.c		Clip path for az. projections when the S or N
					pole was included in -R did not work.
		gmtselect.c		-L -F requires an implicit -M while reading the
					line or polygon files.  Option -M only applies to
					the input data files.
04/26/2000	gmt_io.c		Did not skip blank input lines.
		xyz2grd.c		Did not update n_filled when it had to average.
04/27/2000	grdview.c		yval was reset instead of xval - could give SEGV.
04/28/2000	gmt_plot.c		y-comp. of grid-crosses not parallel to meridian
05/01/2000	grdview.c		Now correctly reads -Qig as 100 dpi mono image.
		surface.c		Planar correction for constrains moved directly
					to nearest node was not scaled by r_z_scale.
05/03/2000	grdview.c		mesh was set as default when -T was selected.
05/04/2000	gmt_map.c		Replaced old Oblique Mercator with a general
					rotation to oblique coordinates followed by plain
					Mercator.  Rotation done as in project via vector
					operations.  This also fixes mapproject errors.
					grd_inverse had a 360 degree offset problem.
05/05/2000	dbase/grdraster.c	Now, -Ggridfile is optional; if absent we write
					xyz triplets to stdout instead.
05/09/2000	share/binned_border*	Added new borders for the Balkans.
		grd2xyz.c		-Sr suppresses all non-NaN nodes
05/15/2000	grdfilter.c		Added -T to toggle registration as in grdsample,
					but left old -N in there (undocumented) to ens-
					ure backward compatibility.
05/23/2000	gmt_support.c		Had USE_TRIANGLE instead of TRIANGLE_D in #ifdef
					test, effectively defaulting to Watson's method
		xgrid/*			Now use GMT grid i/o, and a configure script to
					get the X libraries set up correctly, thanx to
					LP.
		xyz2grd.c		Added -A[n|z] option to count or add up multiple
					node entries.  Also, no warnings without -V.
05/25/2000	mapproject.c		OK to have variable col numbers; only 2 required.
		grdtrack.c		Same.
		grdinfo.c		-C -M did not output the number of NaNs.
		grdimage.c		Called ps_image with incorrect number of pixels
					for 1-bit images (only noticeable on small nx
					grids)
06/10/2000	psxy[z].c		-Sf is now a general front plotter.  The new opt-
					ion is backwards compatible with 3.3.4 and
					earlier.
06/13/2000	PS_font_heights.h	Changed to fit height of numbers instead of "A".
06/15/2000	gmtdefaults.c		Added new parameter ANOT_MIN_SPACING which can be
					used to reduce overprinting of closely spaced
					annotations.  Also, OBLIQUE_ANOTATION has been
					extended considerably to carry many flags that
					affect basemap annotations.
06/16/2000	pslib.c			Now includes reencoding of missing special chars.
06/27/2000	psxy.c			Now will resample paths when -JX..d is used.
06/30/2000	gmtdefaults.c		Add 10 to DEGREE_FORMAT to use the large degree
					symbol
					[Default uses the standard, small ring-symbol]
07/03/2000	mex			Added configure file to make the makefile
07/05/2000	pslib.c			Very large images (> 21845 pixel per scanline)
					would exceed implementation limits on string
					length. Fixed.
07/07/2000	gmt_io.c		With some exceptions, -: is processed by
					GMT_input and GMT_output, and only applies to
					geographic data.
					Periodicity in lons also handled in GMT_input.
07/10/2000	blockm*.c		Added option -L for periodicity in lons (360)
		splitxyz.c		--"--
		trend2d.c		--"--
		triangulate.c		--"--
		gmtselect.c		--"-- (plain -L; -L<flag> is still preserved)
		grdtrack.c		--"-- (plain -L; -L<flag> is still preserved)
		nearneighbor.c		--"-- (plain -L; -L<flag> is still preserved)
		surface.c		--"-- (plain -L; -L<flag> is still preserved)
		gmt_support.c		Fixed bug in set_grd_region
07/13/2000	pslib.c			No longer reencode the Japanese fonts
		grdmath.c		Added plain Heaviside step function STEP
		gmtmath.c		Renamed existing STEP to STEPT in keeping with
					naming convention established in grdmath.  Then
					added new, plain STEP (Heaviside function)
07/17/2000	x_system/*.c		All now include gmt.h to deal with _WIN32
		cps/libuu.c		Needed fcntl.h under cygwin (_WIN32)
		config.*		New versions correctly work under Interix and for
					Rhapsody (MacOS X).
07/21/2000	gmt_map.c		Would reject polygons that completely contained
					the -R region as being "outside" the region.
-----------------------------------------------------------------------------------------
===> 07/21/2000		tar 3.3.5 made and released via email
-----------------------------------------------------------------------------------------
07/25/2000	grd2xyz.c		Needed -L so that -: would work.
		psscale.c		Modifier -B...s did not work.
07/27/2000	grdmath.c		Added EXTREMA operator to find local extrema
		gmtmath.c		Added LT, LE, EQ, GE, GT, NAN operators
		grdmath.c		--"--
		gmtmath.c		-Q must be protected from new  -T/inc check.
07/31/2000	gmtmath.c		Added plain -T for no-time data and -Cr to toggle
					cols
		xyz2grd.c		Now -V is needed to get verbose action (warnings)
		gmt_init.c		Because of -L, -R now needs to set all of the
					project_info.w,e,s,n
08/01/2000	psxy[z].c		With -V, symbol sizes <= 0.0 result in warning
					(they are being skipped)
		pslib.c			Added ps_write_rasheader function for complete-
					ness
		gmt_support.c		Added *_out_of_bounds functions for adjusting
					i,j based on BCs.
		gmt_boundcond.h		Added prototypes for above.
		nearneighbor.c		Use new *_out_of_bounds functions, plus fixed
					bug with replication and x-periodicity.  Also
					fixed bug in the way new points were counted.
08/18/2000	gmt_stat.c		Moved GMT_median and GMT_mode to here from
					gmt_support.c
					Made GMT_getmad based on code in pshistogram.c
					Made float versions of GMT_median, GMT_mode,
					GMT_getmad.
					Added chi-squared distribution.
		pshistogram.c		Now calls the external GMT_getmad function.
		grdmath.c		Added ISNAN, XOR, MODE, MAD, LMSSCL, TDIST,
					FDIST, CHIDIST
		gmtmath.c		Added all these --"--, plus INT and SUM. Also
					added -S to report just the first row of the
					results (useful when we use MEAN, MEDIAN, etc)
08/21/2000	imgsrc/img2grd		New Bourne script that calls img2mercgrd and
					converts the Mercatorized grid to geographic
					using grdproject.
		gmt_init.c		When ensuring that -J is processed first we must
					preserve the order of the other arguments since
					grdvector expects two grdfile names in row.
08/22/2000	gmt_cdf.c		New formats 7-11 for netcdf files with byte,
					char, short, int, and double arrays instead of
					floats.  Thanx goes to Masakazu Higaki, JMA for
					implementing this feature.
		gmt_customio.c		---"---
		gmt_grdio.{c,h}		---"---
		psxyz.c			-Su with size read from file failed to set y-size
					of cube.
08/23/2000	gmt/grdmath.c		Added UPPER and LOWER to get extreme values
09/05/2000	grdimage.c		Needed polygon clip/wrap machinery for -T as in
					psxy.
		gshhs			Added the GSHHS tools as a new supplement.  The
					binary data files must be obtained separately
					as before.
09/13/2000	Makefile		Main directory Makefile did not copy
					.gmtdefaults_{SI,US}
					to the alternate share directory.
		gmt_support.c		GMT_LUT structure were not properly initialized
					and some FILL pointers where not zero (affected
					cpt files with more than 50 entries).
09/17/2000	grdtrack.c		-Lg now implies -L
		nearneighbor.c		---"---.
09/19/2000	gmt_support.c		Resampling of cpt files (for makecpt) did not
					anticipate non-equidistant z-values from the
					user, which can occur when no -T option is given.
					Allow custom formatting of axis values via
					D_FORMAT when the it does NOT contain the 'g'
					format type.
		gmt_plot.c		-JX...d with negative axes would not draw frame
					and annotate.
09/20/2000	Makefile		Had a typo: mex had become nex.
09/27/2000	surface.c		Now aborts with a message if all input data lie
					on a plane.
		gmt_customio.c		Fixed read_info for surfer file grids [J. Luis].
		meca/utilmeca.c		Replaced M_2PI with TWO_PI which is defined in
					gmt.h
		install_gmt		Now a Bourne shell script which is the most port-
					able shell.
09/29/2000	grdview.c		-B..W+ for -Jo gave wrong box.
					-N facade and vertical lines not possible with
					-Rw/s/e/nr
-----------------------------------------------------------------------------------------
===> 09/29/2000		tar 3.3.6beta made and released via email to gmt-team
-----------------------------------------------------------------------------------------
10/02/2000	gmt_grdio.c		Wrong size passed to do_scaling if pads were set.
		grdmath.c		Needed to initialize grd header when no files
					present on the command line.
		do_examples.*		Neither version set the library path correctly
		install_gmt		Did not clean up after itself; still had bad (and
					unnecessary comparisons to empty strings
		gmt_customio.c		Updated read function for surfer file grids
					[from J. Luis].
10/05/2000	grdcontour.c		Had to add -D- to get short DOS names for WIN32
					gawk which does not seem to understand long names
10/10/2000	gmt_support.c		Fix of 09/19/2000 broke grd2cpt - now fixed to
					deal with both cases (makecpt and grd2cpt).
10/12/2000	pslib.c			Bug in ps_clipon: Passed close=TRUE to ps_line
					but 1st point not included so close === FALSE.
10/13/2000	gmt_notunix.h		DIR_DELIM should only be set to \ for WIN32.
10/17/2000	gmtmath.c		Off by factor of 1/2 in D2DT2...
		gmt_grdio.c		Better messaging in the grd_RI_verify routine
-----------------------------------------------------------------------------------------
===> 10/17/2000		tar 3.3.6 made and released via email
-----------------------------------------------------------------------------------------
10/20/2000	gmt_map.c		Really densely sampled lines could fail to gen-
					erate a crossing at map boundary due to imposed
					round-off.
					Now enforce that all lines start with "pen down".
10/27/2000	gmt_stat.c		Return to inc_beta for GMT_f_q.  Not used in GMT.
10/30/2000	gmt_support.c		GMT_getinc would remove the trailing m or c while
					processing the increments; this only affected
					titles or remarks in output gridfiles.
11/03/2000	mgg/gmttrack.c		-Sab was not converted to meters internally.
					dist was initialized to zero more than once.
11/06/2000	gmt_map.c		Only had forward, but not inverse projection of
					linear geographic data.  Messed up the
					-JX<width>d inverse.
11/16/2000	gmt_man.html		Had bad links for the cps modules
11/17/2000	pswiggle.c		-Z did not use the default measure unit but inst-
					ead used inches in the absence of a modifier.
11/27/2000	gmt_shore.c		Need to reset node-levels when some polygons are
					skipped with the -A option.
11/28/2000	gmt_support.c		Had error in verifying xinc for boundary cond-
					ition prep.
11/30/2000	grdvector.c		-Sf now sets fixed length vectors.
12/04/2000	pscoast.c		Had world_map = TRUE for Gnomonic, which is not
					correct and led to criss-crossing of lines
		gmt_map.c		No Gnomonic annotations except for rectangular
					box.
		mapproject.c		Wrong units used when reporting the
					xmin/xmax/ymin/ymax string
12/07/2000	pswiggle.c		Still did not get the azimuths correct.  Now pos-
					itive wiggles should go in the preferred dir-
					ection [north].
12/08/2000	gmt_map.c		Ensure that if BOTH west/east are < 0, add 360.
		gmt_support.c		GMT_set_format now always checks if units should
					be added.
		gmt_plot.c		No longer overrides GMT_set_format.
		psscale.c		-B0 will now skip annotations, like psbasemap.
12/09/2000	psxy.c			Ellipses drawn with -SE -N will not be skipped
					if their center is outside as some lines should
					plot inside.
12/15/2000	minmax.c		Needed -L so that -: would work for geographical
					data.
12/22/2000	*.c			Xmas present to users who want their -: back.
					-: now works regardless of -L.
		gmt_support.c		Now use binary search to get rgb_index (thanx
					to Mika Heiskanen)
01/17/2001	project.c		Did not calculate distances along small circles
					correctly
		gmtselect.c		Used wrong slope for normal to line.
02/05/2000	meca/psmeca.c		Several pens and fills were not initialized.
02/20/2000	minmax.c		Added -D for Dateline (-180/+180) vs Greenwich
					(0/360).
		xyz2grd.c		Now can handle multiple input files (except for
					-S)
		surface.c		Issue error if more than one input file is given.
		gmt_plot.c		Maps with -JPa<size>/<base> were not oriented
					correctly
					Also, the annotations were incorrect.
		grdview.c		With -JZ-<size>, the z-annotations were not
					plotted.
02/26/2001	block*.c		Added -F to mean pixel registration, but left -N
					in there for backward compatibility (undocumented
					option).
					Added -C to output center of block instead of
					mean/med/mode
		blockmode.c		Did not output value when only one point inside
					block, and gave wrong value when two points of
					equal weight were in the block.
03/01/2001	grdcontour.c		Adopted Kaj Jancke's modification for transparent
					text label boxes by appending t to the -A option.
		GMT			Added a wrapper script that can start any GMT
					command.  It is intended to be installed in
					/usr/bin and it will know where the GMT binaries
					are to be found.  E.g., use as
					GMT psbasemap -R0/5/0/5 -JM5 -P -B1 > plot.ps
		GMT.txt			Renamed gmt.txt to GMT.txt
03/05/2001	imgsrc/img2grd		The script did not understand name=format grdfile
					names.
		gmt_customio.c		When writing integer grids, use irint to get out
					value, and apply same roundoff to min/max values.
03/07/2001	gmt_map.c		Eliminated unnecessary * and / in gmt_[i]tm_sph.
		gmt_init.c		Treat -<zone> and +<zone> in UTM as given.
		GMT_doc.*		Split into several archives, as below:
		GMT_ps.*		The PostScript versions of Cookbook and Tutorial
		GMT_pdf.*		The PDF versions of Cookbook and Tutorial
		GMT_man.*		The UNIX man pages for GMT
		GMT_tut.*		The tutorial data sets
		install_gmt		Modified to deal with the new archives
		gmt_services.html	Now has links to PDF versions of documentation
03/20/2001	gmt_plot.c		Fancy frame color not set for -B0
03/22/2001	gmtsuppl.bat		Try no optimization for meca supplement compile
03/27/2001	grdimage.c		Picked wrong box for -JG when periodic in long
					but not quite -90/+90 in latitude.
		grdview.c		Place basemap on top when not a 3-D view
04/02/2001	gmt_map.c		Now gives error if -R...r extends beyond horizon.
04/03/2001	meca/pscoupe.c		Uninitialized variable now set (cause of Win32
					problem?).
		segyprogs/pssegy[z].c	fixed behavior for -ve
					Corrected type mismatches and format statements
		spotter/hotspotter.c	Fixed malformed format statement
		spotter/originator.c	Fixed malformed format statement
		x_system/x_over.c	Fixed long and int mismatches
		x_system/x_solve_dc_drift.c	Fixed long and int mismatches
		x_system/x_report.c	Fixed long and int mismatches
		x_system/x_update.c	Fixed long and int mismatches
04/04/2001	pslib.c			Ensure pen color is reset to black in ps_plotend.
		triangle.tar		Now starts at the src/ level, not GMT/
04/07/2001	configure.in		Now uses GMT hypot function under Cygwin/Interix
		gmtformats.d		Updated to list all grid formats
04/10/2001	grdview.c		-Qsg never implemented; same for -Qmg.
04/11/2001	gmtmath.c		Give error message if unrecognized opts are used
		grdmath.c		---"---
		grdhisteq.c		Incorrectly incremented index j and made gaps
		segyprogs/*.c		Now checks for endian-ness and have new option -A
		gmt_cdf.c		Write full headers to maintain fixed  header size
		grdimage.c		-M now affects -T also
		dbase/grdraster.c	Round off sloppy -R to nearest dx/dy and give
					warning
		*.c			Relax test of number of fields in input records
					for programs where n_required is known.
04/13/2001	pslib.c			Transparent images got back/foreground switched
04/17/2001	gmt_plot.c		Log10 frames suffered from round-off when bounds
					were < SMALL.
		gmtdefaults.c		Added more DEGREE_FORMAT options to deal with
					integer degrees followed by decimal minutes.
					Now must add 100, not 10, to get big degree
					symbol instead of the default.
-----------------------------------------------------------------------------------------
===> 04/18/2001		tar 3.4 made for transition to CVS-based archive
-----------------------------------------------------------------------------------------
===> 04/18/2001		THIS IS START OF DEVELOPERS 4.x SERIES
-----------------------------------------------------------------------------------------
04/19/2001	gmt_plot.c		Added clipping inside gridcross routine	
04/23/2001	gmt_support.c		Add mechanism to check if clipping set up by
					psclip and pscoast is terminated properly
		pslib.h			Added clip_level for above purpose.
04/24/2001	minmax.c		-C -Idx/dy did not use dy, only dx.
		pslib.c			Ensure setpagedevice only used with PS Level > 1
		mapproject.c		The verbose min/max values where not reflecting
					-D
04/25/2001	surface.c		Aborted when all points lie on a plane. Now fill
					grid with the planar values instead.
04/27/2001	gmt_init.c		Allow -Jx1:xxxx for linear scales. Update man
					pages
		gmt_map.c		Check that -R is valid for geographic coordinates
05/10/2001	trend1d.c		Also output [unstable] polynomial coefficients
					(with -V)
05/22/2001	gmtmath.c		CHIDIST, TDIST, and FDIST all take degrees of
					freedom nu and not n as advertised.  FDIST takes
					variances.
		grdmath.c		---"---
05/23/2001	psxy.c			Forgot to mention that psxy -EX|Y now does
					box-and-whiskers		
06/08/2001	gmtdefaults.c		Added more DEGREE_FORMAT options to deal with
					west longitudes (-360 -> 0) for some planets.
06/12/2001	grdvolume.c		Bug in array allocation for -C0 and no -C
06/27/2001	psmask.c		Failed if both west and east < 0.
07/02/2001	grdfilter.c		If input grid was pixel, output would be grid-
					line reg.
07/10/2001	psxy[z].c		Implemented -Sv|V[flag], with optional flag
					h, b, or t to associate point with head, center,
					or tail of vector.
07/11/2001	grdmath.c		EXTREMA ignored boundary rows/columns and did
					not use diagonals.  Now uses all nodes and deals
					with NaNs.
		gmtdefaults.c		Add 1000 to DEGREE_FORMAT for no degree symbol.
		psrose.c		Did not check properly for DEGREE_FORMAT symbol.
07/12/2001	grdvolume.c		Had trouble when many nodes equaled the contour
					value.
07/16/2001	gmt_plot.c		-Jp did not give tickmarks and only did 0-360
					annotations.
07/26/2001	grdinfo.c		Did not add 0.5dx/0.5dy to min/max location for
					pixel grids
08/06/2001	psscale.c		Not fully cm/inch tolerant - added fix to deal
					with this.
08/14/2001	gmt_calclock.[ch]	New time-handling functions added
		gmt_time_systems.h	--"--
08/16/2001	triangulate.c		-b had no break; also did -D
		*.c			-b now processed with common arguments
					Added -f to decode time columns for special
					time/geo columns
08/17/2001	gmt*.c			Initial i/o support for calendar/clock data
					implemented.
08/23/2001	gmtmath.c		Did not deal well with negative t_inc
08/28/2001	gmtdefaults.c		GMT_program not set so (null) was given when
					error.
		pslib.*			Added ISOLatin1[+] encoding support, old
					WANT_EURO_FONT is now Standard+ encoding.
08/31/2001	gmtmath_main.c		MED, MAD, MODE, LMSSCL were passed n-1, not n.
		grdmath_main.c		--"--
09/04/2001	App M			Added appendix showing the cpt scales.
09/06/2001	Appendix F		Now shows the ISOLatin1[+] character codes too.
09/11/2001	gmt_plot.c		Added time axes plot support
09/13/2001	pscontour.c		Now deals more appropriately with NaNs
09/16/2001	psxy.c			Added -Sk for custom symbols to replace
					make_symbol script.
09/17/2001	gmt2rgb.c		New tool to create r,g,b grids from z-grid or
					raw or Sun raster images.
09/17/2001	grdimage.c		Now can do false-color plots using three input
					grids (r,g,b)
		grdview.c		---"---
09/18/2001	pstext.c		Bug when giving font names rather than font
					number.
		pslegend.c		New tool adds legends to maps.
		psxy.c			Added new symbols - (dash) for a short line
					segment and r (rect) for a rectangle (dimensions
					from col 3+4)
09/20/2001	psxyz.c			Added rect and dash symbols too.
09/23/2001	pslib.c			Ignored ny for non-square fill images.
09/25/2001	psxy[z].c		-Sv|Vs expects vector heads (x,y) instead of
					dir, length.
					Uppercase modifier S,B,H,T gives double-headed
					vector.
		pslib.c			Added support in ps_vector for double heads.
09/26/2001	pslib.c			Added support for writing either RGB or CMYK
					images as well as image interpolation (PS Level
					2).  Consolidated all image operations in
					ps_colorimage.
		gmt_init.c		Extended PSIMAGE_FORMAT to handle
					<hex|bin><rgb|cmyk>.  Default is hexrgb.  Old
					values hex and bin is taken to mean hexrgb and
					binrgb.
		grdimage.c		-E-<dpi> turns image interpolation in PS on.
		psimage.c		-W-<xlength>  turns image interpolation in PS on.
09/27/2001	grdcontour.c		Transparent labeling need to specify pen down
					when skipping points under the label.
10/02/2001	pslib.c			ps_text now does accurate justification based
					on actual text dimensions using the PS inter-
					preter.  Added new functions ps_textdim,
					ps_set_length, and ps_set_height. ps_textbox now
					works with escape-sequence text, and ps_text can
					draw outlines with espace-sequence text.
		gmt_plot.c		Axis annotations now fully justified using PS
					interpreter.
10/04/2001	gmt_map.c		Allow 360-periodicity in central meridian test
					Frame ticks for non-fancy maps when no annots
					desired.
10/11/2001	grdproject.c		Did not do false northing properly
10/12/2001	psimage.c		Transparency did not work.
		pslib.c			1-bit images of odd width did not colorize
					correctly.
10/15/2001	*.c			General support for misc character encodings
		psxy.c			-S did not work well when l<size>/<string> was
					read from the data file (\n was not removed).
10/22/2001      gmt_plot.c              GMT_coordinate_array didn't return value
                                        causing crashes when handling -Jx|X [bchj]
10/24/2001	spotter/rotconverter.c	New tool to manipulate finite rotations
10/24/2001      gmt_support.c           Corrected error in comments for
					GMT_minmaxinc_verify [bchj]
10/24/2001	pslib.c			Cosmetic change to function headers
10/24/2001	meca/ps*.txt		Corrected man page formatting problems
10/31/2001	grdreformat.txt		Replaced "nan" with "NaN"
11/07/2001	pstext.c		-M did not skip text recs, only master records.
		psmask.c		-D-<file> will write mask path to a single
					multiseg file
11/09/2001	grdinfo.c		-D now obsolete (use -f instead), but left for
					backwardness
					All columns now formatted as specified.
		psimage.c		Added optional justification to -C
11/13/2001	gmtdefaults.txt		Updated defaults (pscoast -A)
11/15/2001	mapproject.c		Added option -G for distance calculations
11/16/2001	psxy[z].c		Added -Sy for vertical dash and -Sz for z-dash
					in psxyz
		grd2xyz.c		Added -W[wt] to write out a constant weight
					factor
11/18/2001	gmt_grdio.c		No need to replace underscores with spaces in
					remarks etc
11/19/2001	grdcut.c		Needs -f to process -R
11/23/2001	grdtrack.c		Added -N to retrieve node values only
11/24/2001	gmt_io.c		Now can handle CR/LF in input files.
		pstext.c		Added -A when azimuths are given rather than
					directions
11/28/2001	gmt/grdmath.c		Added CHICRIT, FCRIT, TCRIT, and ZCRIT for
					critical values given alpha and degrees of
					freedom.
11/30/2001	gmtmath.c		Added LSQFIT for least squares solution to Ax = b
					FDIST now takes F, nu1, nu2.
		grdmath.c		---"---
12/01/2001	grdimage.c		If z == NaN, do not use intensity to change NaN
					rgb values.
12/05/2001	explain_-B.txt		Corrected typos
12/06/2001	gmt_grdio.c		Added functions for grid row i/o.
		grdblend.c		Added new program for blending grids.
12/07/2001	cps/cpsencode.c		No longer present -e, -u option, although they
					are left in the program for backwardness.
12/08/2001	gmtmath.c		Accepts -T<ttable> for irregularly spaced t.
12/10/2001	mapproject.c		-Vl now updates status every 1000 line
		gmtselect.c		With -bi, got confused and read -F, -L, -C files
					as binary.  These are _always_ ascii.
					-Vl now updates status every 1000 line
12/13/2001	gmt_io.c		Binary output did not have lon-range adjustment
		grdtrack.c		variable my not assigned, had junk value
		gmt_plot.c		Now use a 600dpi GMT glyph in the timestamp
12/17/2001	gmt_customio.c		Corrected typos
12/19/2001	explain_-{B,R}.txt	Corrected spelling.
                CHANGES			"         "
                *			Corrected errors in spelling Shewchuk
12/20/2001	*.c *.h suppl/*.{c,h}	Spellcheck, corrected errors
12/24/2001	pslib.c			Write in binary mode so PS binary images
					under Windows are not corrupted.
01/02/2002	grdblend.*		Spellchecked.
01/03/2002	gmt_plot.c		Fixed font size and tilt problems for 3D
					perspective annotations.
01/04/2002	gmt_keyword.d		Added new guru file from which gmt_keywords.h and
					new gmt_keycases.h are generated.
		gmt*.[ch]		Fixed spelling of anotation -> annotation in
					variables.  Font sizes no longer restricted to
					be integers
01/06/2002	gmt_plot.c		More fixes for tilted fonts.
01/07/2002	gmt_plot.c		More fixes for tilted fonts.
		gmt_keycases.h		New include file.  It and gmt_keywords.h are
					now generated by guru makefile from the file
					gmt_keywords.d
01/10/2002	gmt_init.c		Added Custom_WxH paper media for arbitrary sizes.
01/13/2002	gmt_map.c		Fixed missing latitude annotations for
					-R-180/180/...
		gmt_plot.c		---"---
01/17/2002	project.c		-N caused syntax error, still in argv
					after special handling
		gmt_io.c		If no -f or -J, allow dd:mm in -R to be backwards
					compatible
					but give warning.
01/29/2002	x2sys/x2sys_cross.c	Allocated half the memory needed for y and t.
01/30/2002	gmt_io.c		Expanded gmt_io bad records reporting.
02/15/2002	grdimage.c		-Q will do PS Level 3 colormasking of NaNs.
		pslib.c			ps_colorimage can now do PS Level 3 colormasking
02/17/2002	gmt_map.c		Allocation error in clipping could crash pscoast.
		grdview.c		-Qc will do colormasking of NaNs.
					Giving both -Q and -T gives usage error.
02/22/2002	grdreformat.c		-N added; suppresses the writing of grd headers
					in native grids intended for grdraster use.
		gmt_customio.c		Support for no header output.
		gmt_cdf.c		--------"-------
02/27/2002	gmtmath.c		Had -bi|o[d] instead of -bi|o[s]
===> 03/01/2002		tar 3.4.1 made and released via email
03/04/2002	gmtinstall.bat		Now links with getargv.obj so wildcard works in
					DOS
		gmtsuppl.bat		---"---
03/06/2002	grdmath.c		DDY, D2DY2, and part of CURV had the wrong sign.
03/13/2002      x2sys/makefile          Changed order of -L<libdirs> to please MacOS X.
                x_system/makefile       ---"---
03/17/2002      segyprogs/segy_io.h     #ifdef for Interix (OpenNT) added
03/22/2002	gmt_map.c		Replace lat = south + i * dy with north at end of
					loop.  Otherwise lat may slightly exceed +- 90
					degrees.
04/04/2002	grdmath.man		Missed -F in synopsis
04/05/2002	spotter/libspotter.c	Had wrong conversion for flowlines, now fixed.
		spotter/rotconverter.c	-Fsf only worked with -H.  Now works without -H.
04/08/2002	dbase/grdraster.c	Did not complain if -R was not given (-R is
					required)
04/11/2002	project.c		Bug in flat earth calculation setup
04/12/2002	gmtselect.c		Crashed if -L had empty segments
04/16/2002	pstext.c, psxy{,z}.c	Used integer font size instead of double
04/19/2002	spotter/libspotter.c	Added one extra argument to track functions.
04/25/2002	grdinfo.c		-C did not spit out file, nx, and ny as it used
					to do.
05/02/2002	makecpt.c		Now has -Qi|o to deal with logarithmic color
					scales
		grd2cpt.c		Same.
05/09/2002	pslib.c			Fonts used in @%..% were not reencoded before
					use.
05/17/2002	spotter/backtracker.c	Needed -M to function with multisegment files
					Also added -Q to assign fixed age to all points.
		cps			No longer a GMT supplement but its own boss.
05/20/2002	pslib.c			Now using full precision in x y translate
					statements.
05/23/2002	share/cpt/GMT_drywet	New (and 20th) GMT cpt table (by Ed Maurer, U
					Washington)
06/13/2002	psscale.c		-A option to place anotations on opposite side.
		gmt_support.c		GMT_grd_setregion now returns 1 if grd is
					outside -R.
		grd*.c			Plots empty map if grid is outside -R instead
					of fatal errors.
06/26/2002	xgrid/xgrid_GMTgrid.h	Incorrectly redeclared GMT_is_fNaN for SGIs only
		mex/grdwrite.c		When no info given we must assume gridline regs.
07/07/2002	grdimage.c		Did not transform images for logarithmic/pow
					projection
		gmt_map.c		Added GMT_transx/y_forw functions for grids to
					address this.
07/23/2002	gmtmath.c		Added COL operator to place the chosen column
					on the stack.
		gmt_init.c		now computes flattening if polar radius is given
					and f < 0.
		README etc		All mailing lists have now moved to @hawaii.edu.
07/29/2002	gmtmath.c		Failed to check for -T0/0/1.
08/20/2002	grdmask.c		Did not approximate polygon sides with great
					circle arcs when the data were geographic (turn
					this off with new -A option).
08/26/2002				All standard GMT font information (the usual 35
					fonts) are now read from the file
					share/pslib/PS_font_info.d. To add custom fonts,
					just add entries to CUSTOM_font_info.d.  The old
					include files PS_font_heights.h and
					PS_font_names.h are no longer used.
09/04/2002	spotter/rotconverter.c	Added -T option to transpose the final result
					before output.
09/18/2002	grdtrend.c		Only write weights if robust option is selected
		trend2d.c		Usage had wording from trend1d instead.
09/25/2002	gmt_map.c		clipping bug in pscoast related to rectangles.
		project.c		Cartesian 2-D rotation did the negative rotation.
		grdcut.c		Did not check that new wesn differs from old wesn
					by an integer number of dx, dy.
09/27/2002	pscoast.c		SEGV in certain cases with clipping now fixed.
		*			Now accept -:i and -:o to swap only input or
					only output x,y.
		segyprogs/pssegyz.c	fixed bug with reduced data plotting, also
					improve error checking on parameters
		segyprogs/segy2grd.c	New program to convert SEGY files to GMT grid
					files
		gmt_map.c		Map clipping sometimes failed for azimuthal maps
					with rect border
		imgsrc/img2grd		Added -E to force output grid to match given -R
					exactly + dy=dx
===> 10/02/2002		tar 3.4.2 made and released via email
10/28/2002	gmtmath.c		Mac gcc complained about global variable
					hashnode, conflict with global variable of same
					name in gmt_init.o
10/30/2002	gmt_io.c		Now uses TIME_IS_INTERVAL to center data on
					chosen interval.
11/04/2002	psbasemap.c		Would parse arguments without leading hyphen and
					complain.
11/06/2002	dbase/grdraster.c	Had obsolete -Z option in the usage message.
11/08/2002	gmtsuppl.bat		Did not compile the gshhs supplement so missing
					from GMT_suppl_exe.zip
11/13/2002	grdmath.c		Added CAZ and SAZ for azimuths from nodes to
					given point using Cartesian and spherical geome-
					try, respectively.
11/19/2002	pstext.c		Memory allocation error; asked for wrong size.
11/21/2002	pshistogram.c		More gcc 3.x complains about global variable
					name clashes with triangle.c
		surface.c		---"---
11/22/2002	grdmask.c		Resampled path before adding closure could lead
					to SEGV mem problem.
02/02/2003	gmtselect.c		Now implements -L correctly, both in Cartesian
					and spherical coordinates
02/05/2003	gmt_plot.c		GMT_log_array would occasionally overshoot its
					max value
02/07/2003	psxyz.c			-SE ellipses had bad z-transformation
02/18/2003	grdimage.c		If -JX had negative axes then -E would in effect
					remove the sign.
		*			Now supports CMYK color specifications in pen,
					fill/cpt; new parameter
					PS_COLOR = {rgb|cmyk} determines colors used in
					PostScript output.
					Also supports HSV color in pen/fill when
					COLOR_MODEL = hsv.
		psxy.c			Reading bar info from file failed...
		psxyz.c			Reading bar info from file failed...
03/05/2003	gmtmath.man		Did not list -A in synopsis nor explain it.
03/06/2003	gmtdefaults		Now accepts - for no back, fore, or nan colors
		gmt*			Added shorthand -Rg for -R0/360/-90/90 (global)
03/10/2003	minmax.c		Added -Tdz option to produce -T string for
					makecpt
03/11/2003	gmt*			Use .gmtdefaults4 to avoid confusion with GMT 3
03/11/2003	gmt*			Use .gmtcommands4 to avoid confusion with GMT 3
03/11/2003	gmtswitch		Bourne script allowing easy switching between
					GMT versions.
03/20/2003	gmt_defaults.h		Added numerous new ellipsoids to a total of ~50
03/22/2003	psxy[z].c		Added text strings to custom symbol arsenal
04/01/2003	gmtmath.c		gmtmath -Tmin/max/dx <constant> = would overwrite
					T column
04/03/2003	grdview.c		Now exits if more than one -Q option is set
04/04/2003	grdinfo.c		Added -Tdz option to produce -T string for
					makecpt
04/04/2003	grdvector.c		No wrap-around check could give bad angles at
					right boundary for periodic maps
04/07/2003	sample1d.c		Insisted on -S or -N although both -S and -I
					have default values
04/09/2003	gmt_plot.c		Now writes %%GMT: before all commands echo'ed to
					the PS file facilitating searches
04/10/2003	gmt_support.c		The [:[Fr/g/b][Br/g/b]] colorization mechanism
					did not accept a single gray value
04/14/2003	gmt_support.c		Added mechanism to list custom symbols
					used by both psxy and psxyz
		Appendix N		New appendix for custom symbols
04/15/2003	psxy.c			Added -Ddx/dy option to offset symbols
-----------------------------------------------------------------------------------------
===> 05/01/2003		tar 3.4.3 made and released via email
-----------------------------------------------------------------------------------------
05/03/2003	grd2cpt.c		-R added by J Luis.
06/23/2003	grdmath.c		Changed hashnode to localhashnode to avoid gcc trouble
		surface.c		Same deal with global variable epsilon
06/25/2003	gmt_cdf.c		Finally implement netCDF formats 7-11 for i/o
		gmt_customio.c		Same.  We can now read/write, say, short ints.
		gmt2rgb.c		-C never actually read the cpt file
06/26/2003	grdview.c		Use commas in -G for r,g,b rather than colons
07/24/2003	*			Can now use c, i, m, or p as units for pen width
					[Default remains in dpi units]
08/14/2003	spectrum1d.c		Insisted on reading 2 columns when only 1 was set
		gmt_support.c		Fixed problem in set_grdregion that caused trouble
					with using grid subsets with negative longitudes
08/21/2003	pscontour.c		-D produced garbled multisegment header (no \n)
08/26/2003	gmtmath_main.c		DIV turns operation to MUL but did not reset factor
		grdmath_main.c		---"---
09/17/2003	grd2cpt.c		-E added by S. Eickschen via PW
		pscoast.c		Needlessly clobbered background when no painting
					was specified with -JE 
09/26/2003	pstext.c		Justification did not check for bad codes resulting
					in bad (uninitialized) text offsets
10/03/2003	gmt_cdf.c		Did not clean x/y/z unit strings before reading from grdfile
10/21/2003	psscale.c		-B<int> must be ignored if -L is also set.
10/31/2003	gmtselect.c		Halloween bug.  -bo only gave 2 columns regardless of input
		grdmath.c		Now allows multiple = file.grd statements to be
					given, as long as the stack is deep enough
11/08/2003	xyz2grd.c		Pixel registration and y=n gave negative index.
11/10/2003	psscale.c		Now -E[b|f] can set back or foreground triangle only
		mgg/gmtlist.c		Needed to call GMT_begin so col types were initialized.
11/12/2003	psxy[z].c		-C with -Z in headers can now color lines or polygons (-L)
11/26/2003	gmt_support.c		GMT_non_zero_winding failed when null polygon given.
12/17/2003	gmt_init.c		Now, -J can be used to mean previous -J* option.
					All example scripts now demonstrate this effect
12/22/2003	pslib.*			Added pentagon as new built-in and custom symbol
		psxy[z].*		---"---
12/23/2003	mapproject.c		Added options -E, -T and -Q for datum conversions
		gmt*.[ch]		Internal upgrades to deal with datum conversions
					Renamed array ellipse to ref_ellipsoid
01/02/2004	triangle.*		Updated triangulation to version 1.4
01/06/2004	project.c		Explicitly give error if -F and -G are both set
		*.txt			Changed (l) to (GMTMANSECTION) in the txt files
					that generate man pages since on some systems
					(e.g., Debian) there is no manl and man1 is used.
					(GMTMANSECTION) now goes to $mansection via sed.
01/07/2004	gmt_support.c		Calculation of decimals needed in format now fixed.
01/10/2004	gmt_grdio.c		scale/offset in grdfiles now working.
		gmt_customio.*		Added support for NOAA/NGDC grid format
		mapproject.c		Added -A for azimuth and backazimuth calculations
					Both -A and -G can now use exact formulae for
					ellipsoids when geodesics are involved.
01/12/2003	pslib.*			Added octagon as new built-in and custom symbol
		psxy[z].*		---"---
-----------------------------------------------------------------------------------------
===> 01/12/2004		tar 3.4.4 made and released via email
===> 01/12/2004		tar 4.0b made and released via email
-----------------------------------------------------------------------------------------
01/14/2003	GMT_CustomSymbols.lis	Not in the tar archive
01/16/2003	do_examples.sh		Referred to bash, not sh scripts.
01/20/2004	psxyz.c			Shading failed for cube/columns w/cpt file given
01/22/2004	*.txt			Added GMT Version to all man pages
01/23/2004	explain_-?.txt		Some upper case versions had been corrupted and
					just duplicated the lower case (short) versions.
01/27/2004	grd/gmtmath.c		Added SINC and NEQ operators
01/28/2004	nearneighbor.c		weighted sum suffered from premature round-off (float).
02/03/2004	grd2xyz.c		Now can do more than one grdfile at the time.
02/06/2004	gmt_plot.c		GMT_log_array failed for tiny values.
		gmt_support.c		Did not understand pens without leading 0, i.e., .5
02/16/2004	install_gmt		Netcdf 3.5.1 released so no beta download anymore
02/20/2004	gmt_map.c		-JP should not check for wrap-around in lon
02/24/2004	gmt_init.c		Now can specify map height, max map dimension or min
					map dimension by appending h, +, or - to the width.
		splitxyz.c		Now use directions and not orientations, plus -D must
					be specified (100 units is not a logical default value).
02/25/2004	psxy.c			Now treats NaNs as "pen up" nodes.
		blockmean.c		-S can now be -Sz (same as -S) and -Sw for weight sums
03/05/2004	gmt_support.c		Give warning that making a continuous cpt from a discrete
					cpt may lead to funny results.
03/23/2004	minmax.c		Added -E for returning extreme records.
		gmtselect.c		Added -Z to pass/skip on basis of z-range.
03/24/2004	gmtmath.c		Added operator ROOTS to find roots of f(t) = 0
		pslib.c			Assumed width >= height for pattern images.
		gmt_plot.c		-W- was not heeded by custom symbols except polygons
03/25/2004	pslegend.c		Added option to place an image (I) in the legend
03/26/2004	pslegend.c		Minor bug in vertical line drawing fixed
03/28/2004	grdmath.c		Added FLIPLR and FLIPUD to reverse rows or cols
					Added ROTX and ROTY to shift grid in x or y
					Added INRANGE to find low <= z <= high
					Added LDIST and PDIST for distances to lines/points
		gmtmath.c		Added FLIPUD to reverse cols
		mapproject.c		Added -L to compute distances to lines
		grdinfo.c		Added -I to report region rounded off by dx/dy.
03/31/2004	grdmath.c		Added INSIDE to set points inside polygons to 1 else 0
04/01/2004	*.c			Any GMT command can take --PARAMETER=VALUE options where
					GMT default values can be overridden within the
					scope of that process only [Idea by Dave Ball]
		gmt_io.c		xyz2grd -F did not like trailing spaces after data values
04/02/2004	grdmask.c		Points exactly on xmax or ymin placed in wrong node
		pslib.c			Replaced dumb patterns 83-84 with ones usable for transparency
04/05/2004	psbasemap.c		Extended -L to allow alternate label and justification
		pscoast.c		---"---
		pslegend.c		Added option to place a map scale (M) in the legend
04/06/2004	pslegend.c		Made measure-unit tolerant
		gmt*.c			New pen and fill specifications introduced:
					<pen> := [<width>[<wunit>][,<color>[,<texture>[<tunit>]]]
					<width> as before + faint|{thin,thick,fat}[er|est]
					<color> as before + black|white|[light|dark]{red,orange,
					  yellow,green,cyan,blue,magenta,brown,gray} and 600+ X11 names
					<texture> as before without leading 't' + strings like
					-.. where - means dash and . means dot.
04/07/2004	gmt_support.c		To specify HSV colors on the command line, use h-s-v
					(as compared to r/g/b or c/m/y/k)
		*.c			-Xc and/or -Yc will center plot using current page size
04/12/2004	*.c			Settled on -B[p] for primary annotations and -Bs for the
					secondary annotations (for time axes).  This means we
					are back to needing only a|f|g axis items.
					Changed several GMT defaults parameter names while being
					backwards compatible. Everything with ANNOT now has a
					_PRIMARY at end and everything with 2 (i.e., ANNOT_FONT2)
					instead has a _SECONDARY.
04/14/2004	-B			Added :^"prefix": to prepend an item to all annotations.
					Added <stride>[+-<phase>] to phase-shift annotations.
04/16/2004	xyz2grd.c		Added -Au|l for upper/lower value at each node
		psscale.c		Added optional <gap> to -L to draw discrete table
					with centered annotations.
		psbasemap.c		Fancy frame for primary/secondary annotations
04/19/2004	gmt_init.c		Specifying ellipsoid "Sphere" after a custom choice
					would give error message.  Also, per BHJ, custom
					ellipsoid files may reside in GMTHOME/share
04/20/2004	psxy[z].c		Multisegment records with x-G taken as fill commands
					when x was not tab or space.
		gmt*			If set, gmt programs that are given input files will look
					in $GMT_DATADIR, $GMT_GRIDDIR, and $GMT_IMGDIR if the file
					cannot be found in the current directory.
04/21/2004	gmtconvert.c		Option -F and -A gives gmtconvert cut and paste capabilities
04/22/2004	psbasemap.c		-L option now has modifiers to paint/draw background frame
		pscoast.c		---"---
04/24/2004	gmtconvert.c		Option -I gives gmtconvert tac or tail -r capability
		*.c			-H may now take -Hi to only do headers on input.
04/26/2004	gmtdefaults		BASEMAP_TYPE fancy+ yields rounded map corners.
04/27/2004	examples		Added 5 new examples for a new total of 25.
		*.bat			No longer maintaining DOS batch example files.
05/04/2004	grdview.c		Now drapegrids can have higher resolution that relief grid
05/07/2004	gmtdefaults.c		New parameter TIME_INTERVAL_FRACTION [0.5] to annotate
					fractions of a full interval.
		psbasemap.c		Added -T for directional rose ornament or magnetic directions
		pscoast.c		--"--
05/14/2004	psxyz.c			-G -W -Z in multisegment headers did not affect coloring.
		x2sys_cross.c		Now has -M and recognizes gaps between segments
05/18/2004	grdcontour.c		Expanded the -G option to allow for specification of crossing
					lines: place labels where these lines intersect contours.
					Also -Gn|N to place a fixed number of equidistant contours.
					Core xy crossover functions from x2sys now in GMT.
		pscontour.c		---"---, + added transparent boxlabel as in grdcontour
05/20/2004	pstext.c		-Dj did not take into account the text angle rotation
		psxy[z].c		Added -Sq "Quoted line" which are like contours; see the
					changes in [grd|ps]contours.c for details.
05/22/2004	pstext.c		-WO now works for non-paragraph modes.
		gmtconvert.c		Implemented -E: report first and last point per segment only.
					-L: List segment headers only, -S: List records from segments
					whose header matches a given text pattern.
05/27/2004	grdfilter.c		Added new filter options for extreme values (min/max etc).
		filter1d.c		---"---
		grdedit.c		Added -N<file> option to replaces some node values given
					xyz data in <file> (-H -b -f -: added for support).
06/01/2004	pslib.c			Includes PSL_label.ps which has functions for clipping and
					placing of along-line labels.
06/02/2004	filter1d.c		Missed last output point due to round-off
06/04/2004	*contour.c		Finalized the 5 algorithms for label placement
		psxy[z].c		---"---
06/04/2004	GMT 4.0 feature freeze: No new features will be added unless absolutely needed
06/08/2004	psscale.c		-M was not implemented for discrete cpts
		pstext.c		-C accepts % of fontsize, similar to contour label annotations.
06/11/2004	grdcontour.c		-T:LH failed when var n was not initialized first.
06/13/200	psxy[z].c		-SE and linear projection gave unexpected result.
		GMT Appendix O		New Appendix to explain contour labeling
06/18/2004	gmt_map.c		Map scale factor wasn't reset when a standard parallel
					was given to the polar stereographic projection
06/23/2004	-B etc			Determined that =<prefix> is better that ^<prefix> since
					users would easily forget to quote the special ^ character.
					This applies both to -B and quoted labels.
06/25/2004	gmtselect.c		No need to supply -R -J when using -N [Defaults to -Rg -Jx1d]
		minmax.c		-I extended to any number of columns if -C is used
07/01/2004	gmt_stat.c		Needed to add Laplace noise generator...
		*math.c			Now supports LRAND in addition to RAND and NRAND		
07/02/2004	grdproject.c		Using -E triggered bug since nx/ny were unitialized.
07/15/2004	grdsample.c		-Q can take value to push bilinear interpolation closer
					to nodes that are NaN [Default value gives same as before]
		grdtrack.c		---"---
07/17/2004	*math.c			Now supports LOG2 in addition to LOG and LOG10		
07/18/2004	makecpt.c		-N to suppress the B, F, N colors
		grd2cpt.c		---"---
07/21/2004	share/time		Added more language support for Chinese, Japanese, Polish,
					Hebrew, Russian, Irish.
07/22/2004	grdfilter.c		Mode filter wasted time calling exp for weights that
					should simply be -1 or +1.  Because multiple modes were
					averaged by default, added option to select one mode.
		filter1d.c		---"---
07/26/2004	gmtmath.c		-S[f|l] for first [Default] or last record only.
08/01/2004	configure.in		Now can use shared libs under Mac OS X [Remko Scharroo]
08/02/2004	grdfilter.c		Bug when grdfile included a pole and -D3,4 was used.	
08/11/2004	minmax.c		Remove leading spaces from items in -R, -I output strings
08/16/2004	gmt_init.c		For -Jx|x...d, default to degree symbol as unit
08/18/2004	mgd77			Added new supplement for MGD77 files from NGDC			
08/24/2004	grdcontour.c		Because of single-precision, round-off could occur
					when tracing closely-spaced contours with large z.
08/25/2004	Appendix P		Discusses how GMT 3 and 4 can coexist using gmtswitch
		Preface			Discusses how 4 differs from 3.
08/26/2004	pslib.c			If the same pattern was used with different colorizing
					then only the last pattern/color combo was used
09/06/2004	grdtrend.c		-W for output wrote to the wrong filename...
09/12/2004	share			Upgrade to GSHHS v 1.3: Fully self-consistent this time.
					Major improvement to Puget Sound area near Seattle
		gshhs/*			Minor format change to handle 1.3
09/14/2004	mapproject.c		-T can now be combined with -R -J [-I].
					-C can now take optional false x/y offsets.
		grdproject.c		-C can now take optional false x/y offsets.
		gmt_map.c		Let map_scale_factor have default 0.9996 for -Js and -Ju
					but 1.0 for -Jt.  MAP_SCALE_FACTOR = default gives these.
09/16/2004	psscale.c		Vertical text label only for plain text, otherwise we
					place it as horizontal text parallel to the scale
09/17/2004	grdimage.c		Promoted the undocumented tile-outline option to a real
					user option.
		grdview.c		---"---
09/23/2004	mapproject.c		Replaced commas in users text-columns following x,y
09/24/2004	gmt_map.c		Bad index in truncate_x and truncate_tm could lead to
					SEGV or misshaped polygon in pscoast.
09/28/2004	gmt_mgg_header2.[ch]	Changed long to int since the intent was
					4-byte signed ints (not 8 byte ints).
10/01/2004	*.bat			October Surprise! John Ashcroft threatens to revoke
					Wessel's Permanent Resident Status unless he adds
					back in the [much reviled] *.bat files
		install_gmt + webform	2 new ftp servers added
-----------------------------------------------------------------------------------------
===> 10/01/2004		tar 4.0 made and released via email
-----------------------------------------------------------------------------------------
10/04/2004	gmt_io.c		Bug in reading yyyy[/]jjj data fixed.
10/06/2004	grdmath.c		Wrong sign in D2DY2, and bogus value at y = ymin.
10/08/2004	filter1d.c		-Ff with even # of coefficients sometimes skip a coefficient
		grdvolume.c		-Clow/high/d did not check for low < high etc.
10/10/2004	gmt_grdio.c		Bug in scale/offset for grdblend's row-by-row i/o
10/12/2004	psxyz.c			Wrong index used in assigning color from cpt and
					in updating vector lengths.
		psscale.c		Vertical annotations w/custom D_FORMAT were not aligned.
10/16/2004	gmt_version.h		Simplify version updating
		bin/gmtpatch.sh		Script to automate installation of patches
		configure.in		Placed matlab, netcdf, and ftp site settings in makegmt.macros
		makegmt.macros.in	Now contains info for matlab, netcdf, and ftp site.
		Makefile		Allow for 'make update' to install patches
10/17/2004	spectrum1d.c		Bugs in error expressions for admittance, gain, and phase
10/20/2004	-b			Uppercase S|D (instead of s|d) implies byte-swabing
10/22/2004	dbase/grdraster.c	Optionally give a text pattern instead of data ID number.
10/24/2004	gmt_support.c		Trouble extracting subregions of grid with e = 0.
		gmt_plot.c		360-degree polar basemaps could lack outline
10/26/2004	pscoast.c		Recursive painting could get tricked when boundaries were curved.
10/28/2004	gmt_support.c		Color names got truncated to 16 characters.
10/30/2004	gmt.h			GMT_swab4 used unsigned long instead of unsigned int
					which could cause 64-bit problems.  We believe GMT is
					64-bit safe at this point - let us know if you find otherwise.
11/03/2004	pslib.c			Remko Scharroo, with help from Lloyd Parkes, have greatly
					improved how images are encoded in the PostScript output,
					resulting in much smaller files when possible.  Specifically:
					- Changed all handling of images from PS Level 1 to Level 2 (or 3)
					- Auto-indexing of colored images (not when bit pattern)
					- Automatic reduction of index depth from 8 bits to 1, 2, or 4 bits
					- RLE and LZW compression of indexed or color images
					- Changed Hex output to ASCII85 output
					- PS_IMAGE_FORMAT now defaults to "ascii" but will still understand
					  the previous setting "hex"
					- Moved DPI setting, inversion and colorizing of bitmaps from
					  ps_imagefill_init and ps_loadraster to PostScript code generated
					  by ps_bitimage.
					- Removed superfluous refreshing of pattern bitmap images,
					  colorization now in /fillimage
					- Added refreshing of pattern bitmap images on changing DPI. Did
					  not work before.
					- Changed ps_pattern_{nx,ny,status} to struct ps_pattern and added
					  dpi,depth,colors
					- Removed ps_user_image struct. Now only contains name.
					- Added verbose option (ps.verbose)
		pslib.h			Changes in accordance with pslib.c
		pslib_inc.h		---"---
		gmt.h			Changed ps_compress to integer, allowing for LZW compression
		gmt_defaults.h		---"---
		gmtdefaults.txt		Man page updated to describe compression and format options.
		gmt_init.c		- Assignment of bit #10 (1024) of gmtdefs.page_orientation for RLE
					  compression violated clipping bits. Changed to bit #12 (4096).
					- Assigned bit #13 of gmtdefs.page_orientation to LZW compression and
					  bit #14 to Verbose.
		pslegend.c		Reduced parameters in ps_loadraster as in pslib.c
		gmt2rgb.c		---"---
		psimage.c		- Reduced parameters in ps_loadraster as in pslib.c
					- Improved handling of -Gp and -Gf options
		grdimage.c		- Improved handling of -Gp and -Gf options
					- Removed need for separate transparent bitimage code: taken over
					  by ps_bitimage.
		pscoast.c		- Removed call to ps_imagefill_init. No longer necessary.
11/07/2004	install_gmt		New option -c for install from current directory.  This bypasses
					all questions about ftp since tarballs are in current directory.
11/24/2004	gmtmath.c		No longer have to say -Ca if there is only 1 input column .
11/26/2004	gmt_plot.c		circle and theta-r boundaries did not allocate enough memory for arrays.
11/30/2004	gmtdefaults.c		Added support for line caps, joins, and mitering
					in PostScript files via three new parameters:
					PS_LINE_CAP, PS_LINE_JOIN, and PS_MITER_LIMIT.
					Values are passed into ps_plotinit via existing
					parameters.
		gmt.h			--"--
		gmt_init.c		--"--
		pslib.c			--"--
		pslib_inc.h		--"--
12/02/2004	gmt_io.c		GMT_lines_init allocated 2000 points for each segment but never
					deallocated the unused portions, thus running up memory fast.
		pslegend.c		Added B for drawing color bars a la psscale
12/08/2004	gmt_plot.c		Direction for map roses were inaccurate
12/18/2004	gmt_io.c		GMT_lines_init had trouble if 2000 segments had no data at all.
12/21/2004	guru/Makefile.guru	Use LANG=C with awk to get proper decimal formats
		gmt_calclock.c		time to hr,min,sec was vulnerable to round-off when optimized
12/25/2004	gmtselect.c		If -M is on and a portion of a segment is skipped, we must
					reissue the multisegment header when segment resumes.
12/26/2004	gmt_io.c		write_segmentheader wrote nothing if input was binary
					and output is ascii.
		gmtconvert.c		Missed first multisegment output header if input file
					was ascii.
		grdmath.c		Allow -bi to be used for files with PDIST, LDIST, INSIDE
		gmt_support.c		Cartesian LDIST failed when mininum distance was requested
					(only done via grdmath).
01/01/2005	grdmath_main.c		Now use ellipsoid to determine if distance calculations
					should be geodesics or great circles.
01/04/2005	gmtmath_main.c		Did not understand <date>T<clock> as command line data
		gmt_calclock.c		hh:mm data would loose the minutes (hh:mm:ss was OK).
		grdgradient.c		If -M is used with grids that include poles, ignore the poles
					when normalizing the slopes
01/05/2005	psxy.c			-Sp is now a true point, but can also take an optional size.
01/06/2005	gmt_map.c		azim to angle calculation for linear projections now handle
					different scales in x and y
01/08/2005	gmt_init.c		Would eat number with leading plus sign without checking if it
					actually was a +gmtdefaults file instruction; thus gmtmath could
					not see numbers such as +13.5.
01/11/2005	gmt_map.c		Geodesic distance calculation could get wrong quadrant
01/20/2005	pslib.c			Bit-shift bug in LZW encoding occasionally gave bad PS.
01/27/2005	pshistogram.c		-2 option is retired (but backwards compatible).  New option
					-T<col> extends concept to any column, starting with 0 (first).
		gmtconvert.c		-N option suppresses output records when all fields are NaNs.
02/01/2005	pslib.c			Include routines to load and export EPS images
					(ps_load_eps). Removed ps_loadraster and create general
					routine for loading images instead (ps_load_image).
		pslib.h			--"--
		gmt_customio.c		Changes associated with renaming of rasterfile to imageinfo
		gmt2rgb.c		--"--
		misc/makepattern.c	--"--
		psimage.c		Support EPS inclusion of EPS images
		pslegend.c		--"--
02/03/2005	mapproject.c		-L now outputs both the minimum distance and the coordinates
					of the nearest point on the line.	
02/07/2005	pslegend.c		Did not pass +gmtdefaults and --PAR=val onto system calls.
02/15/2005	gmt_plot.c		Only contains functions that rely on pslib.  Other functions
					were moved to gmt_map.c, gmt_support.c, and gmt_calclock.c
		Makefile		Splits libgmt.a into libgmt.a and libgmtps.a, the latter only
					required for programs using pslib.
		*.[ch]			Shortest textstring internally is now 64 bytes
02/18/2005	sample1d.c		Allow NaNs in all but the "independent data" column.
02/21/2005	filter1d.c		Allow NaNs in all but the "independent data" column.
02/22/2005	pslib.c			Truncate ASCII85 5-tuple when required.
02/23/2005	pslib.c			Improved freeing of temporary image buffers.
03/02/2005	*			General clean-up based on gcc -Wall output
04/05/2005	*.c			Replaced strtok with thread-safe GMT_strtok
04/09/2005	gmt_support.c		Improved workings of GMT_sample_cpt in support of makecpt.
04/12/2005	x2sys & mgd77		Made DOS-format (CR/LF) tolerant
04/13/2005	GMT_end()		Free memory used for hashing
04/18/2005	gmt_init.c		Command line argument --BASEMAP_FRAME_RGB=color was not passed
					through to tick-, grid- and annotation-properties.
04/21/2005	gmt_time_system.h	Fixed MJD offsets by subtracting ten days.
04/27/2005	gmt_io.c		Fixing more memory leaks
		gmt_support.c		---"---
		mapproject.c		---"---
05/27/2005	gmt_support.c		Bad LF/CR removal for coastline.conf dir
06/21/2005	gmt_map.c		Inverse Winkel function assumed south == -north
					Implemented full inverse Winkel based on Ipbuker, 2002
					Cartography & Geographical Information Science, 29, 37-42.
06/24/2005	gmt_plot.c		Would plot both -180 and +180 annotations for periodic maps.
06/27/2005	dbase/grdraster.c	Handles optional G(eographic) and C(artesian) modifiers for G|P.
		gmt_customio.c		Fixed i/o of native grd files under 64-bit OS, based on
					a suggestion by Lou Estey, UCAR.  This should make GMT 64-bit safe.
06/29/2005	configure.in		Add -arch ppc64 flag while building shared libraries for PowerMac G5
07/07/2005	gmt_map.c		Azimuth to angle calculation was vulnerable to bad wrap-around,
					giving strange directions for vectors in psxy
07/12/2005	mapproject.c		Gave junk output as GMT_strtok was not used correctly.
07/27/2005	gmt_stat.c		Added GMT_Chebyshev for Tn(x) polynomials
		grdmath.c		Added TN function (Chebyshev)
		gmtmath.c		---"---
07/30/2005	psxyz.c			Added -Q to disable sorting of points based on distance
08/02/2005	install_gmt		No longer test netcdf since that can fail even when install was
					successful [MacOS X Tiger].
08/03/2005	gmt_nc.c		First primordial support of COARDS-compliant NetCDF format
		gmt_{grd,custom}io.*	---"---
08/05/2005	gmtmath.c		Added -I to reverse time-series output
08/07/2005	gmt_grdio.c		Added suffix codes in addition to format numbers for grids
		gmt_grdformats.h	New include file generated by Makefile.guru
08/10/2005	gmtselect.c		New functions added for in/on/out testing with 
					spherical polygons.
		grdmath.c		Now handles both Cartesian and spherical well
		grdmask.c		---"---
		gmtselect.c		---"---
		grdmath.c		Special constants Xn and Yn for normalized X and Y
					[Gives -1 to + 1 suitable for Legendre and Chebyshev]
		gmtmath.c		Same, added constant Tn for normalized T
08/12/2005	gmt_{nc,cdf}.c		Full support of COARDS compliant NetCDF grids
08/22/2005	gmt_customio.c		New NetCDF format routines are default
		gmt.h			Added GRID_FORMAT to gmtdefaults with "nf" as default
		gmt_init.c		---"---
08/23/2005	*.pdf			Improved PDF layout/navigation, thanx to Misha Tchernychev
09/07/2005	gmt_stat.c		Added GMT_corrcoeff function
		g??math.c`		Implemented CORRCOEFF function for correlation coefficient
		grdgradient.c		Added option -E for Lambertian or Peuckeer illumination [J. Luis]
09/09/2005	grd2xyz.c		Sloppy -R resulted in bad x,y values and sometimes allocation error
		gmt_support.c		Added test to "sanitize" sloppy w,e,s,n values for output domains.
09/10/2005	grdimage.c		Cannot use -R to extract subset when -J is oblique.
		grdview.c		---"---
		grdimage.c		Reverse log-axes did not work
09/13/2005	grd2xyz.c		Added -E for ESRI interchange ASCII grid dump
		xyz2grd.c		Added -E for ESRI interchange ASCII grid digest
09/14/2005	-Idx/dy option		Extended to allow for specifying nx/ny (append +)
					Also append = to reset range based on increment
					Append e|k|i|n for increments in meter, km, miles
					or nautical miles - these are converted to degrees
					longitude (at middle lat) and latitude.
		gmt_shore.c		Must explicitly close polygons since inside/outside test expects it.
09/15/2005	gmtmath.c		Constants given on command line can be abs time, geo, or float
		pscoast.c		Added -Z option for 3-D z-level (as in psbasemap)
09/20/2005	dbase/grdraster.c	Added optional H<bytes> to info string for skipping a header
09/25/2005	psscale.c		Use pixelmaps to draw color legend (except when containing pattern).
09/27/2005	grdcontour.c		Label option +ap[u|d] for always having labels march up or down hills.
10/01/2005	gmt_{grd,custom}io.c	Remove "file" argument from GMT_io*; reduced arguments of GMT_grd_get_format;
		gmt_{nc,cdf}.c		support for "time slicing" 3-D COARDS-complaint NetCDF grids.
10/17/2005	grdtrack.c		Would fail to skip first two columns for ascii input if dd:mm:ss format use
10/19/2005	mgd77convert.c		New tool for translating between various MGD77 formats
		mgd77manage.c		New tool for managing enhanced, MGD77+ netCDF trackline files
		mgd77/*			Many changes to functionality, some option changes, + netCDF awareness
		x2sys/*			Streamlining of options to be similar to those of mgd77
					Knows about the new netCDF MGD77+ trackline format
10/20/2005	gmt_init.c		Did not use custom ellipsoid to set DEG2M parameter
					so we got large errors for other planets.
10/26/2005	gmt_support.c		GMT_grd_setregion failed for -Rg/-Rd and small grid crossing Greenwich
10/27/2005	psscale.c		Optional ;label at end of each line in cpt files will replace
					default annotations in psscale -L.
11/01/2005	psxy[z].c		Pentagon symbol had wrong normalization scale.
					If a fixed symbol size was given in -S, with symbols from file
					we would not scale symbols correctly if upper case.
11/07/2005	psscale.c		-E did not flip when a negative width was used
		grdvolume.c		Fixed potential division by zero
11/14/2005	grdfilter.c		-D4 is now fully aware of geographic boundary conditions
					Convolution filters now use correct area normalization
11/17/2005	makecpt.c		-D option sets back- and foreground to match cpt limits
		grd2cpt.c		---"---
12/13/2005	explain_precision.txt	Include file for several man pages explaining output format precision
		g{rd,mt}math_main.c	Stop complaining about conflicts when not used as argument
12/17/2005	gmt_grd.h		Wrong sign for (off) in GMT_x_to_i and GMT_y_to_j macros
12/18/2005	triangle.*		Updated triangulation to version 1.6
		*.txt			Switched to groff -T html for web man generation
12/19/2005	gmt_support.c		Changed angle/justify so that vertical annotations are viewed from right
12/21/2005	pslib.c gmt_plot.c	Improved alignment of strings ending in "1"
12/27/2005	misc			nc2xy.c and ps2raster.c added to the misc supplement
12/29/2005	-JP			Optional suffix r to reverse radial direction (e.g., for sky-plots).
12/30/2005	gmt_support.c		Properly flip B/F colours when using makecpt -I -D
01/03/2005	grdreformat.c		Since format sd is read-only, give error message if used for writing.
					Update man page to display read-only for this format
01/05/2005	pslib.c PSL_prologue.ps	Fixed bugs in framing and offsetting justified texts
-----------------------------------------------------------------------------------------
===> 01/07/2006		tar 4.1 made and released via email
-----------------------------------------------------------------------------------------
01/10/2006	grdmath.man		Did not list -f option
		gmt_{map,plot}.c	-JX..d now plots with WESN or degrees:minutes as per PLOT_DEGREE_FORMAT
		Makefile.MAN		Properly include GMT version and date in manpages
		configure.in		Extracting VERSION from gmt_version.h, not gmt.h
01/16/2006	gmt_grdio.c		Changed logic to avoid false scale==0 warning on Windows
01/17/2006	gmt_map.c		-JQ would give garbage if central lon was way outside -R
		gmt_grd.h		Improved definition of GMT_x_to_i macro should reduce bugs
		grdvector.c		Did not place vectors correctly for pixel-pregistered grids
		grdmask.c		Now takes -S<radius>[c|m|k|K] as in nearneighbor.c
		psmask.c		---"--.  Can now plot tiles regardless of projection and use patterns.
		pslib.c			Fixed two bugs concerning the /MaskColor operator.
01/21/2005	ISO-8859-9.ps		Added /dotlessi per Onur Tan.
01/23/2006	grdfilter.c		Used -1 as index flag instead of INT_MIN.
		pscoast.c		With -JE and -Gr/g/b, the painting of the antipodal bin would incorrectly
					turn off clipping, messing up the rest of the plot.  Now pass -9 to
					GMT_fill which means just fill and no end of clipping.
		pslib.c			ps_polygon: if outline == -9 just fill and no clip.
		gmt_map.c		Map clip paths for -JE<lon>/+-90 were no good.
01/28/2006	grdmask.c		Only let you change the value for outside nodes.
		mgd77/mgd77.c		Added mechanism to search directories for files.
		mgd77/dirent.h		Include file for Win32 to simulate Unix	opendir/readdir
		mgd77/dirent.lib	Precompiled library for Win32 to simulate Unix -"-
		mgd77/mgd77_codes.h	New include file generated from trkdas.cod
		mgd77/mgd77list.c	Retired -P option since search has been implemented.
02/01/2006	mgd77/mgd77list.c	Activated -X option and associated machinery
		grdgradient.c		Implemented variation on Lambertian illumination [J. Luis]
02/02/2006	grdmath.c		Operators LT, LE, EQ, GE, GT returned TRUE if NaNs were involved
					Now NaN is returned if any of the two operands is a NaN.
		gmt_support.c		Got wrong conversion for dx in meters to degrees.
		xyz2grd.c		For geographic grids with 360-degree range and gridline registration,
					the west and east bin did not get replicated properly.
		spotter/grdrotater.c	New module that rotates grids given a finite rotation.
02/03/2006	gmt_grdio.c		GMT_open_grd (used in grdblend) reset scale to NaN
02/06/2006	gmt_nc.c		Introduced handling of 4-D COARDS compliant grids and store/read
					"units" separately from "long_name".
		gmt_grdio.c		Initialize header information at start of GMT_read_grd_info
		gmt_support.c		Initialize [xyz]_unit with more appropriate values
		grdreformat.c		Update grd.command before writing grid
02/06/2006	x2sys/x2sys_cross.c	Several problems fixed.
02/07/2006	pstext.c		-D[...]v<pen> can now be used with or without -M
02/12/2006	gmt_map.c		Under certain circumstances, GMT_non_zero_winding might be passed
					a polygon that was not closed, resulting in an error.
02/16/2006	gmt_calclock.c		Did not allow -B0 for time-axis
		gmtmath.c		If file is STDIN we read stdin and put the contents on the stack.
					Also added -F to select which columns to use for output [all].
02/18/2006	gmt_init.c		BASEMAP_FRAME_RGB overrode any changes to grid pens etc.  Now only
					does so if prefixed by '+'.
		blockm*.c		Now correctly deals with periodic longitude data.
		xyz2grd.c		Now considers data inside the first and last tiles which might
					stick outside w/e/s/n.
02/19/2006	grdimage.c		Fixed several issues at grid limits and inappropriate scaling of
		grdcontour.c		grid dimensions.
02/20/2006	grdview.c		Skipped nodes outside boundary but they might be needed to draw a tile.
02/24/2006	grdedit.c		Added option -T to toggle between gridline and pixel registrations.
02/25/2006	grdtrack.c		Can now sample Sandwell/Smith IMG grids directly.
02/28/2006	src/triangle.*		Now stored with the rest of the source in GMT_progs.tar|zip.
					However, installing it is still an option.
		job06.*			Needed -: to work correctly the given fractures.d file
		psxyz.c			-SO|U work like -Su|o except they give no 3-D color shading.
		mgd77.c			No directory search support under Windows for the time being.
-----------------------------------------------------------------------------------------
===> 03/01/2006		tar 4.1.1 made and released via email
-----------------------------------------------------------------------------------------
03/02/2006	gmt_init.c		Parsing of .gmt_io files only understood format numbers, not codes.
		grdsample.man		Still mentioned -N allthough it is just there for backwardness.
		grdsample.c		Did not initialize nx, ny when -Idx/dy was given.
03/04/2006	Makefile		Added set -e to exit on first make error.  Also added checks to
					see if src/mex and src/xgrid are present before making.
03/05/2006	configure.in		Added --disable-mex and --disable-xgrid as new options.
03/06/2006	gmtdefaults.c		Added support for PS_VERBOSE, which controls the writing of
					comments to the PostScript output stream [FALSE].
					Value is passed into ps_plotinit via existing parameters.
		gmt.h			--"--
		gmt_defaults.h		--"--
		gmt_key*.h		--"--
		gmt_init.c		--"--
		pslib.c			--"--
		pslib_inc.h		--"--
		gmt_plot.c		The comment that specifies the GMT command is always written.
03/07/2006	gmt_io.c		For years, date in format needs %5d, not %4d since we might have
					a negative year (months and days, however, only need %2d).
					With %4d, dates like -4321-01-01 was read as -432-01-01.
03/08/2006	share/coast		New subdir where coastline *.cdf files will be kept from now on.
		gmt_shore.c		Now looks in share/coast for files.
		GMT_share.tar|zip	Now contains all the runtime files needed (patterns, cpts).
		GMT_coast.tar|zip	New archive for standard GSHHS c|l|i coastlines.
		GMT_src.tar|zip		New name for GMT_progs.*
		GMT_read_cpt		CPT files can now decode z-values that are timestrings or dd:mm:ss.
		splitxyz.c		New option -Q to select items and order of output columns.
		gmtmath.c		Now can handle multisegment files; -M has been added.
		gmt_plot.c		Fixed problems with 3-D text: letter hight was scaled incorrectly
					(got long for low elevations) and $%no% sequences were not tilted
					at all.  Thanks go to Masakazu Higaki for providing the fix.
03/09/2006	psxy[z].c		-SV and -SE for -JX did not convert azimuths to directions.
					Added -SW for wedges specified with azimuths instead of directions
		project.c		Cartesian projections gave incorrect results for p,w,r,s.
					Removed 0-360 restriction on azimuth.  -G was susceptible to round-
					off and thus sometimes reissued the final point.
		psscale.c		Enhanced -I for asymmetrical ranges <low>/<high>
03/10/2006	psxy[z].c		Ellipses created with -SE would sometimes clip incorrectly for some
					map projections such as -JQ when the central meridian was > 180 deg
					away from the plot area.
		psxy.c			Complicated lon/lat polygons with 360 or more longitude extent
					can now be filled without weird wrap-around effects.
03/11/2006	gmtdefaults.c		COLOR_MODEL can now accept a prefix "+" which forces color interpolation
					in the selected system (RGB or HSV only).  Default remains RGB.
					PS_COLOR has been extended to accept HSV as well (only applies to
					polygon, symbol, pen, and text colors, not images.)
03/13/2006	mgd77/mgd77manage.c	Did no properly close the file after ingesting E77 information
		-JP|p			Optionally append z to annotate depths (north-y) rather than radius.
03/14/2006	minmax.c		-D made obsolete by improved range checking for longitudes.
03/15/2006	gmt_io.c		Added GMT_access to match behavior of GMT_fopen.
03/15/2006	gmt_plot.c		For azimuthal maps, only place one grid cross at the poles.
		gmtdefaults.c		New parameter POLAR_CAP which controls the number of gridlines that
					converge on the poles for azimuthal and some other projections.
		gmt_plot.c		Draws gridlines for azimuthal projections according to POLAR_CAP.
03/16/2006	psxy.c			-Sqd:  Would get confused when distances between successive labels
					were smaller than the line's point spacing.
		grdmask.c		Did not explicitly close polygons before using them.
		grdimage.c		Would hang in stdin if -C not given when one grid is plotted.
03/20/2006	gmtconvert.c		Added -D option to write segments to individual output files.
03/21/2006	gmt_support.c		Fixed problem in GMT_get_grd_region which would sometimes return
					a w/e/s/n that exceeded the grid domain.
		gmt2rgb.c		Did not check name template properly, and did not initialize wesn.
		pslib.c			ps_load_raster did not use open mode rb and hence failed in Win32.
03/22/2006	g{mt|rd}math.c		Added CPOISS for cumulative Poisson distribution.
		fourt.c			Now contained in gmt_support.c
		gmt_funcnames.h		Replaced by new gmt_*.h files:
		gmt_globals.h		New name for old gmt_init.h
		gmt_init.h		New include file for extern functions in gmt_init.c
		gmt_plot.h		New include file for extern functions in gmt_plot.c
		gmt_stat.h		New include file for extern functions in gmt_stat.c
		gmt_support.h		New include file for extern functions in gmt_support.c
		gmt_vector.h		New include file for extern functions in gmt_vector.c
		misc/gmtdigitize.c	New tool added to misc supplement for digitizing line segments
		misc/gmtstitch.c	New tool added to misc supplement for combining line segments
03/23/2006	gmt_proj.[ch]		New file to hold projection-specific functions formerly in gmt_map.c
		psxy[z].c		Eliminated several hundreds of lines in near-identical functons for
					decoding symbol, draw ellipse and fronts in these two programs.
					New common functions placed in gmt_plot.c and gmt_init.c
		block_subs.[ch]		New files with common function prototypes, functions definitions
					data structures, and constants used by blockmedian and blockmode.
		blockmedian.c		Now store data internally as double (like blockmean/mode).
		grdmath.c		INSIDE for Cartesian data had bug (used y where x was expected).
		*.c			Mostly eliminated use of global variables defined outside main.
		pshistogram.c		Now uses double precision.
03/28/2006	*.c			Extended -M option to take modifiers i or o for input or output
		-I			Most programs using -Idx/dy falsely stated ! as modifier instead of =
03/31/2006	mgd77/mgd77sniffer.c	Changed -O to -L to avoid overlap with GMT common -O option.
		mgd77/mgd77list.c	Changed -X to -L to avoid overlap with GMT common -X option.
		mgd77/mgd77info.c	Changed -H[r|g] to -M[r|f] to avoid overlap with GMT common -H option.
		spotter/rotconverter.c	Changed -H[a|t] to -C[a|t] to avoid overlap with GMT common -H option.
		x2sys/x2sys_cross.c	Changed -O to -L to avoid overlap with GMT common -O option.
		x2sys/x2sys_get.c	Changed -X to -L to avoid overlap with GMT common -O option.
04/01/2006	mex/makefile.in		Added -O and fixed target so not recompiling unless needed
04/03/2006	gmt.h			Pruned gmtdefs structure for items that are not default values.
04/04/2006	pslib.*			Removed ps_imagemask. Use ps_bitimage with transparent background instead.
		segyprogs/pssegy*.c	Only code affected by removal of ps_imagemask. Fixed reverse video bug.
04/05/2006	block*.c		Added -E for reporting scale (L2, L1, LMS), low, and high values
		blockmedian.c		Added -Qq to specify a particular quartile [Default  q = 0.5 = median]
		ps_pattern_??.ras	Flipped a few bits in some patterns for proper tiling.
		gmtdefaults.c		Added new default HISTORY [TRUE] which controls whether or not we
					maintain a common command option history via .gmtcommands4 files.
04/06/2006	gmt_synopsis.h		Macros for display of all the common GMT options.
		*.c			Synopsis now uniformly displays the common options
04/07/2006	gmt_nan*.*		Finally standardized gmt_nan.h; gmt_nan_init no longer needed.
		gmt_math.h		Moved all macros for NaN handling to gmt_nan.h
		gmt.h			--"--
04/09/2006	grdfilter.c		Needed the -f option to process -Rddd:mm
		gmt_agc_io.c		Support for custom grd format AGC Atlantic Geoscience Center.
					Given code of [21]
		*.h			Renamed misc macros by prepending suffix GMT_
04/12/2006	gmtselect.c		Option -F insisted on using spherical testing for xy data.
		xyz2grd.c		-E option had it somewhat backasswards...
		grd2xyz.c		-E option had it somewhat backasswards...
		gmt_grdio.c		Set units in grids according to -f option and v.v.
		grdtrend.c		Unlike trend1|2d, it had -N[r]<n> instead of -N<n>[r].
					Changed to match trend* but check both ways to be sure.
		gmt_grd.h		Added macros for setting inc from min/max/nx and n from min/max/inc
		*.c			Use these macros to avoid duplicate coding.
04/18/2006	gmt_{nc,cdf}.c		Convert "inf" and "-inf" to "nan_value".
04/27/2006	x2sys/x2sys_get.c	-N did not work properly (now fixed and tested)
05/03/2006	gmt_support.c		Parsing of -L option in psbasemap/pscoast failed to get correct unit
					when ddd:mm:ss syntax was used for position.
					-R -J means all tests are done on projected coordinates (default works
05/03/2006	gmt_select.c		GMT_get_format now returns # of decimals in user-specified format.
					on original coordinates which might require spherical tests).
05/09/2006	gmt_support.c		GMT_crossover function did not report overlapping, parallel segments.
05/10/2006	surface.c		Ensure final solution does not exceed original limits imposed via -L
05/13/2006	gmt_io.c		Do not keep in memory segments with zero points.
		gshhs/*			Updated to handle GSHHS v 1.4 data format
		share/coast		Coastline binned_GSHHS_?.cdf updated with GSHHS v1.4 data
05/14/2006	grdmask.c		Wrong sign for testing of polar caps
		gmtselect.c		Now speeds up polygon checking by using the polygons -Rw/e/s/n first
		grdview.c		Bug in plotting north facade.  Also tried to free unallocated memory.
		gmt_support.c		Bug in corner BC; only affected near-corner extrapolation for pixel grids.
-----------------------------------------------------------------------------------------
===> 05/15/2006		tar 4.1.2 made and released via email
-----------------------------------------------------------------------------------------


3. Known Problems that have not been fixed yet.

